<?php
/*
Plugin Name: Commission Sumo
Description: Simple WordPress plugin that Automatically monetizes your blog by inserting contextual ads in your blog posts and pages. For maximum profit checkout the "<a href="http://commissionsumo.com/upgrade" target="_blank">Done For You Keyword Research</a>" in the Pro version..!
Version: 1.4
Author: Wildfire Concepts Pty Ltd
Author URI: http://wildfireconcepts.com
Requires at least: 3.1
Tested up to: 3.8.1

Copyright 2017  Wildfire Concepts

*/
define('IMWB_CCX_VERSION', '1.4');
define('IMWB_CCX_FOLDER', 'commissionsumo');
define('IMWB_CCX_PREFIX', 'imwb_');

require_once(WP_PLUGIN_DIR.'/'.IMWB_CCX_FOLDER."/content_class.php");
require(WP_PLUGIN_DIR.'/'.IMWB_CCX_FOLDER.'/API/google/Google_Client_v1.php');
require(WP_PLUGIN_DIR.'/'.IMWB_CCX_FOLDER.'/API/google/contrib/Google_YouTubeService.php');
require_once(WP_PLUGIN_DIR.'/'.IMWB_CCX_FOLDER.'/API/aweber_api/aweber_api.php');


/**

 * This is where you add comments for your plugin class 

 * @author John Merrick

 */

class IMWB_Covert_Context {

	/**

	 * This value will be used for 

	 * - the gettext textdomain 

	 * - the subfolder when adding scripts and styles

	 * - the handle for scripts and styles

	 * Please make sure that this value corresponds to the folder name where your plugin resides.

	 * @var string 

	 */

	 var $plugin_name = "";
	 var $plugin_url = "";
	 var $update;
	 var $options = Array();
	 var $wizard_options = Null;	 
	 var $settings_module = null;
    var $searchIndex_options;
    var $blockAds = false;
    var $makingExcerpt = false;
	 		

	/**

	 * The constructor is executed when the class is instatiated and the plugin gets loaded.

	 * @return void

	 */

	function IMWB_Covert_Context() {
	
   	$this->searchIndex_options['com'] = Array("All" => "All", "Apparel" => "Apparel", "Appliances" => "Appliances", "ArtsAndCrafts" => "ArtsAndCrafts", "Automotive" => "Automotive", "Baby" => "Baby", "Beauty" => "Beauty", "Blended" => "Blended", "Books" => "Books", "Classical" => "Classical", "Collectibles" => "Collectibles", "DigitalMusic" => "DigitalMusic", "GiftCards" => "GiftCards", "GourmetFood" => "GourmetFood", "Grocery" => "Grocery", "DVD" => "DVD", "Electronics" => "Electronics", "HealthPersonalCare" => "HealthPersonalCare", "HomeGarden" => "HomeGarden", "Industrial" => "Industrial", "Jewelry" => "Jewelry", "KindleStore" => "KindleStore", "Kitchen" => "Kitchen", "LawnAndGarden" => "LawnAndGarden", "Magazines" => "Magazines", "Miscellaneous" => "Miscellaneous", "MobileApps" => "MobileApps", "MP3Downloads" => "MP3Downloads", "Music" => "Music", "MusicalInstruments" => "MusicalInstruments", "MusicTracks" => "MusicTracks", "OfficeProducts" => "OfficeProducts", "OutdoorLiving" => "OutdoorLiving", "PCHardware" => "PCHardware", "PetSupplies" => "PetSupplies", "Photo" => "Photo", "Shoes" => "Shoes", "Software" => "Software", "SportingGoods" => "SportingGoods", "Tools" => "Tools", "Toys" => "Toys", "UnboxVideo" => "UnboxVideo", "VHS" => "VHS", "Video" => "Video", "VideoGames" => "VideoGames", "Watches" => "Watches", "Wireless" => "Wireless", "WirelessAccessories" => "WirelessAccessories");
   	//UK
   	$this->searchIndex_options['co.uk'] = Array("All" => "All","Apparel" => "Apparel", "Appliances" => "Appliances", "Automotive" => "Automotive","Baby" => "Baby","Beauty" => "Beauty", "Blended" => "Blended", "Books" => "Books","Classical" => "Classical","DVD" => "DVD","Electronics" => "Electronics","Grocery" => "Grocery","HealthPersonalCare" => "HealthPersonalCare","HomeGarden" => "HomeGarden", "HomeImprovement" => "HomeImprovement", "Jewelry" => "Jewelry","KindleStore" => "KindleStore","Kitchen" => "Kitchen","Lighting" => "Lighting","Luggage" => "Luggage","MobileApps" => "MobileApps", "MP3Downloads" => "MP3Downloads","Music" => "Music","MusicalInstruments" => "MusicalInstruments","MusicTracks" => "MusicTracks","OfficeProducts" => "OfficeProducts","OutdoorLiving" => "OutdoorLiving","Outlet" => "Outlet","PCHardware" => "PCHardware", "PetSupplies" => "PetSupplies", "Shoes" => "Shoes","Software" => "Software","SoftwareVideoGames" => "SoftwareVideoGames","SportingGoods" => "SportingGoods", "Tools" => "Tools", "Toys" => "Toys","VHS" => "VHS","Video" => "Video","VideoGames" => "VideoGames","Watches" => "Watches");
   	//JP
   	$this->searchIndex_options['co.jp'] = Array("All" => "All","Apparel" => "Apparel","Appliances" => "Appliances","Automotive" => "Automotive","Baby" => "Baby","Beauty" => "Beauty","Blended" => "Blended", "Books" => "Books","Classical" => "Classical","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","Grocery" => "Grocery","HealthPersonalCare" => "HealthPersonalCare","Hobbies" => "Hobbies","HomeImprovement" => "HomeImprovement","Jewelry" => "Jewelry","KindleStore" => "KindleStore","Kitchen" => "Kitchen","MobileApps" => "MobileApps","MP3Downloads" => "MP3Downloads","Music" => "Music","MusicalInstruments" => "MusicalInstruments","MusicTracks" => "MusicTracks","OfficeProducts" => "OfficeProducts","PCHardware" => "PCHardware", "PetSupplies" => "PetSupplies", "Shoes" => "Shoes","Software" => "Software","SportingGoods" => "SportingGoods","Toys" => "Toys","VHS" => "VHS","Video" => "Video","VideoGames" => "VideoGames","Watches" => "Watches");
   	//IT
   	$this->searchIndex_options['it'] = Array("All" => "All","Automotive" => "Automotive","Baby" => "Baby","Books" => "Books","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","Garden" => "Garden","KindleStore" => "KindleStore","Kitchen" => "Kitchen","Lighting" => "Lighting","Luggage" => "Luggage", "MobileApps" => "MobileApps", "MP3Downloads" => "MP3Downloads","Music" => "Music","PCHardware" => "PCHardware","Shoes" => "Shoes","SportingGoods" => "SportingGoods","Software" => "Software","Toys" => "Toys","VideoGames" => "VideoGames","Watches" => "Watches");
   	//FR
   	$this->searchIndex_options['fr'] = Array("All" => "All","Apparel" => "Apparel","Appliances" => "Appliances", "Automotive" => "Automotive","Baby" => "Baby","Beauty" => "Beauty","Blended" => "Blended","Books" => "Books","Classical" => "Classical","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","HealthPersonalCare" => "HealthPersonalCare","HomeImprovement" => "HomeImprovement","Jewelry" => "Jewelry","KindleStore" => "KindleStore","Kitchen" => "Kitchen","Lighting" => "Lighting","Luggage" => "Luggage","MobileApps" => "MobileApps","MP3Downloads" => "MP3Downloads","Music" => "Music","MusicalInstruments" => "MusicalInstruments","MusicTracks" => "MusicTracks","OfficeProducts" => "OfficeProducts","PCHardware" => "PCHardware","PetSupplies" => "PetSupplies","Shoes" => "Shoes","Software" => "Software","SoftwareVideoGames" => "SoftwareVideoGames","SportingGoods" => "SportingGoods","Toys" => "Toys","VHS" => "VHS","Video" => "Video","VideoGames" => "VideoGames","Watches" => "Watches");      
   	//ES
   	$this->searchIndex_options['es'] = Array("All" => "All","Automotive" => "Automotive","Baby" => "Baby","Books" => "Books","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","KindleStore" => "KindleStore","Kitchen" => "Kitchen","MobileApps" => "MobileApps","MP3Downloads" => "MP3Downloads","Music" => "Music","Shoes" => "Shoes","Software" => "Software","Toys" => "Toys","VideoGames" => "VideoGames","Watches" => "Watches");
   	//DE
   	$this->searchIndex_options['de'] = Array("All" => "All","Apparel" => "Apparel","Appliances" => "Appliances","Automotive" => "Automotive","Baby" => "Baby","Beauty" => "Beauty","Blended" => "Blended","Books" => "Books","Classical" => "Classical","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","Grocery" => "Grocery","HealthPersonalCare" => "HealthPersonalCare","HomeGarden" => "HomeGarden","HomeImprovement" => "HomeImprovement","Jewelry" => "Jewelry","KindleStore" => "KindleStore","Kitchen" => "Kitchen","Lighting" => "Lighting","Luggage" => "Luggage", "Magazines" => "Magazines","MobileApps" => "MobileApps","MP3Downloads" => "MP3Downloads","Music" => "Music","MusicalInstruments" => "MusicalInstruments","MusicTracks" => "MusicTracks","OfficeProducts" => "OfficeProducts","OutdoorLiving" => "OutdoorLiving","Outlet" => "Outlet","PCHardware" => "PCHardware","PetSupplies" => "PetSupplies","Photo" => "Photo","Shoes" => "Shoes","Software" => "Software","SoftwareVideoGames" => "SoftwareVideoGames","SportingGoods" => "SportingGoods","Tools" => "Tools","Toys" => "Toys","VHS" => "VHS","Video" => "Video","VideoGames" => "VideoGames","Watches" => "Watches");      
   	//CN
   	$this->searchIndex_options['cn'] = Array("All" => "All","Apparel" => "Apparel","Appliances" => "Appliances","Automotive" => "Automotive","Baby" => "Baby","Beauty" => "Beauty","Books" => "Books","Electronics" => "Electronics","Grocery" => "Grocery","HealthPersonalCare" => "HealthPersonalCare","Home" => "Home","HomeImprovement" => "HomeImprovement","Jewelry" => "Jewelry","KindleStore" => "KindleStore","Misc" => "Misc","Music" => "Music","MusicalInstruments" => "MusicalInstruments","OfficeProducts" => "OfficeProducts","PetSupplies" => "PetSupplies","Photo" => "Photo","Shoes" => "Shoes","Software" => "Software","SportingGoods" => "SportingGoods","Toys" => "Toys","Video" => "Video","VideoGames" => "VideoGames","Watches" => "Watches");
   	//CA
   	$this->searchIndex_options['ca'] = Array("All" => "All","Baby" => "Baby","Beauty" => "Beauty","Blended" => "Blended","Books" => "Books","Classical" => "Classical","DVD" => "DVD","Electronics" => "Electronics","ForeignBooks" => "ForeignBooks","HealthPersonalCare" => "HealthPersonalCare","KindleStore" => "KindleStore","Kitchen" => "Kitchen","LawnAndGarden" => "LawnAndGarden","Luggage" => "Luggage","Music" => "Music","PetSupplies" => "PetSupplies","SportingGoods" => "SportingGoods","Software" => "Software","SoftwareVideoGames" => "SoftwareVideoGames","Tools" => "Tools","Toys" => "Toys", "VHS" => "VHS","Video" => "Video","VideoGames" => "VideoGames", "'Watches" => "Watches");
   	//IN
   	$this->searchIndex_options['in'] = Array("All" => "All","Books" => "Books","DVD" => "DVD","Electronics" => "Electronics");  
	
	
	   $this->plugin_name = IMWB_CCX_PREFIX.IMWB_CCX_FOLDER;
	
   	// Hack to avoid firing on Admin Login or Registration page
   	if ( in_array( $GLOBALS['pagenow'], array( 'wp-login.php', 'wp-register.php' ) ) )
   	   return;

   	$this->plugin_url = plugins_url(basename( dirname( __FILE__)));
   	
      $this->options = $this->get_admin_options();
     	$this->load_modules();
     	

      if(is_admin()) {
         // Get Update Information
      	$this->setup_update_info();
      	add_action('admin_notices', array(&$this, 'admin_warnings'));
      	add_action('admin_menu', array(&$this,'init_admin_menu'));
		   add_action('admin_init', array(&$this,'init_admin'));
         add_action('wp_ajax_get_contextual_ad', array(&$this, 'get_contextual_ad') );
         add_action('wp_ajax_nopriv_get_contextual_ad', array(&$this, 'get_contextual_ad') );
         add_action('wp_ajax_update_keyword_imp', array(&$this, 'update_keyword_imp') );
         add_action('wp_ajax_nopriv_update_keyword_imp', array(&$this, 'update_keyword_imp') );
         add_action('wp_ajax_update_keyword_ctr', array(&$this, 'update_keyword_ctr') );
         add_action('wp_ajax_nopriv_update_keyword_ctr', array(&$this, 'update_keyword_ctr') );
      }
      else {
  			add_action('init', array(&$this, 'init_styles'), 20);
         add_action('wp_print_scripts', array(&$this, 'init_scripts'),20);
         add_action('wp_head', array(&$this, 'load_custom_style_script'));
         add_filter('the_content', array(&$this, 'ccx_the_content'), 20);
//         add_filter('the_excerpt', array(&$this, 'ccx_filterContent'), 9999);
         add_filter('get_the_excerpt', array(&$this, 'ccx_get_the_excerpt'), 9);
         add_filter('wp_trim_excerpt', array(&$this, 'ccx_wp_trim_excerpt'));
         add_action('covert_context_stop_ads', array(&$this, 'ccx_blockAds'), 9999);
         add_action('covert_context_start_ads', array(&$this, 'ccx_unblockAds'), 9999);         
      }
		
	}
	/*function activation_function(){
			//echo 'Avesh';
		}*/
	/**
	 * Register the admin option page stylesheet and scripts
	 */
	function init_admin() {
	   
	   wp_register_style($this->plugin_name . '-stylesheet', $this->plugin_url.'/styles/admin_options_page.css');
	   wp_register_script($this->plugin_name . '-script', $this->plugin_url.'/scripts/admin_options_page.js');
	   wp_register_script($this->plugin_name . '-setting-script', $this->plugin_url.'/scripts/contextualads_settings.js');
  	   wp_register_script($this->plugin_name . '-videopopup-script', $this->plugin_url.'/scripts/jquery.videopopup.min.js', 'jquery' );	
		wp_enqueue_media();
	}

   /**
    * Load the settings module
    *
    */
   function load_modules() {
      @require_once(WP_PLUGIN_DIR.'/'.IMWB_CCX_FOLDER."/pages/amazon_api.php");
      $this->settings_module = new IMWB_Covert_Context_amazon($this);         
   }
	function admin_warnings() {

		 if(empty($this->options['amzaffid']) && !isset($_POST['submit']) ) {
				echo "<div id='update-nag' class='update-nag'><strong>Commission Sumo is almost ready</strong> ".sprintf(__('You must <a href="%1$s">configure the settings</a>.'), "options-general.php?page=imwb_covertcontext-admin-menu")."</div>";
			}
	}

	
	//Returns an array of admin options
	function get_admin_options() {
		$adminOptions = array('amzaffid' => '',
		                      'amzpubkey' => '',
		                      'amzprikey' => '',
		                      'amzregion' => 'com',
		                      'numads' => '5',
		                      'optimize' => 'Y',
		                      'linkstyleftw' => 'normal',
		                      'linkstyleft' => '#',
		                      'linkstyleul' => 'solid',
		                      'linkstyleulh' => '2px',
		                      'linkstyleulc' => '#000000',
		                      'linkstylebg' => '#FFFFFF',
		                      'jvzooid' => '');
			
		$devOptions = get_option($this->plugin_name."-AdminOptions");
		if (!empty($devOptions)) {
			foreach ($devOptions as $key => $option)
				$adminOptions[$key] = $option;
		}				
		update_option($this->plugin_name."-AdminOptions", $adminOptions);
		return $adminOptions;
	}

	
   /**
    * Loading the Admin side javascripts
    * /scripts/admin_options_page.js from the plugin directory. 
    * @return void
    */
	
   function load_admin_scripts() {
   	// Only enqueue scripts on frontend. 
 	   wp_enqueue_script( 'farbtastic' );
   	wp_enqueue_script('jquery');
      wp_enqueue_script('jquery-ui-core');
      wp_enqueue_script('jquery-ui-dialog');   
   	wp_enqueue_script($this->plugin_name . '-script');
   	wp_enqueue_script($this->plugin_name . '-setting-script');
  		wp_enqueue_script($this->plugin_name . '-videopopup-script');	
   }

	
	/*
	 * Will only be called on our plugin admin page, enqueue our stylesheet here
	 */
	function load_admin_styles() {
	     wp_enqueue_style( 'farbtastic' );
        wp_enqueue_style($this->plugin_name . '-stylesheet');
        wp_enqueue_style('jquery-style', 'http://code.jquery.com/ui/1.10.3/themes/redmond/jquery-ui.css'); 
		wp_enqueue_style('font-awesome-main', '//fontawesome.io/assets/font-awesome/css/font-awesome.css'); 
	}
	
	/**
	 * Loading the front end javascripts 
	 * @return void
	 */
	function init_scripts() {	

      wp_enqueue_script('jquery');
      wp_enqueue_script($this->plugin_name . '-script', $this->plugin_url.'/scripts/keywordpopup.min.js', array('jquery'), IMWB_CCX_VERSION);
      wp_localize_script($this->plugin_name . '-script', 'IMWB_CCX_Ajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ), 'nonce' => 
            wp_create_nonce( 'imwb_ccx_ajax_request_nonce' ), 'plugin_url' => $this->plugin_url, 'wp_root' => $this->get_wp_root_path() ) );

	}
	
	/**
	 * Loads the stylesheet for this plugin. 
	 * @return void
	 */
	function init_styles() {
	
		wp_enqueue_style($this->plugin_name . '-stylesheet', $this->plugin_url.'/styles/style.min.css', array(), IMWB_CCX_VERSION, 'all');
		
	}
	
	/**
	 * Loads the front end custom styles and scripts that runs the plugin
	 * @return void
	 */
	function load_custom_style_script() {
      
      // Reset the transient on page load
      set_transient( 'imwb_ccx_ads_processed', '-1', 60*60*24 );
      delete_transient( 'imwb_ccx_keywords_to_show');
      $op = $this->options['design_template_radio'];
	  $dsgn_tmplt = get_option($op);
	  if(!empty($dsgn_tmplt) && $op != 'default'){
		  $color = '';      
			if($dsgn_tmplt['linkstyleft'] != '#') 
         $color = "color: ".$dsgn_tmplt['linkstyleft_tmplt'].";";
		  $style = <<<EOT
<style>	   
.imwb_ccx_keyword {padding-left: 2px;padding-right: 2px;cursor: pointer;{$color}font-weight: {$dsgn_tmplt['font_style']};background-color: {$dsgn_tmplt['linkstylebg_tmplt']};border-bottom: {$this->options['linkstyleulh']} {$dsgn_tmplt['underline_style']} {$dsgn_tmplt['linkstyleulc_tmplt']};}
</style>
<script>
jQuery(document).ready(function($) {
$('span.imwb_ccx_keyword').keywordpopup();
$('a.imwb-ccx-ctr-track').live("click", function(event) {
   var btn = this;
   var data = { action :'update_keyword_ctr', keyword: $(this).data('kw'), nonce : IMWB_CCX_Ajax.nonce};
   $.ajax({async: false, type: 'POST', url:  IMWB_CCX_Ajax.ajaxurl,  data: data,  dataType: 'html'});
});

});
</script>
EOT;
	  }else{
      $color = '';      
      if($this->options['linkstyleft'] != '#') 
         $color = "color: ".$this->options['linkstyleft'].";";
	   $style = <<<EOT
<style>	   
.imwb_ccx_keyword {padding-left: 2px;padding-right: 2px;cursor: pointer;{$color}font-weight: {$this->options['linkstyleftw']};background-color: {$this->options['linkstylebg']};border-bottom: {$this->options['linkstyleulh']} {$this->options['linkstyleul']} {$this->options['linkstyleulc']};}
</style>
<script>
jQuery(document).ready(function($) {
$('span.imwb_ccx_keyword').keywordpopup();
$('a.imwb-ccx-ctr-track').live("click", function(event) {
   var btn = this;
   var data = { action :'update_keyword_ctr', keyword: $(this).data('kw'), nonce : IMWB_CCX_Ajax.nonce};
   $.ajax({async: false, type: 'POST', url:  IMWB_CCX_Ajax.ajaxurl,  data: data,  dataType: 'html'});
});

});
</script>
EOT;
	  }
	
	echo $style;
	
	}
	

	/**

	 * Adds a new menu with the name "My Admin Menu" and let's anyone that

	 * can publish posts be able to use it. 

	 * @return void

	 */

	function init_admin_menu() {
	
   	$view_hook_name = add_menu_page( 'Commission Sumo Admin Menu',
   	    'Commission Sumo ',
   	    'manage_options',
   	    $this->plugin_name . '-admin-menu',
   	    array(&$this, 'load_menu_page'),
   	    '',
   	    383);
   	$this->views[$view_hook_name] = '1';
   	
   	add_action( 'admin_print_styles-' . $view_hook_name, array(&$this, 'load_admin_styles'));
   	add_action( 'admin_print_scripts-' . $view_hook_name, array(&$this, 'load_admin_scripts'));		
   	
   	$view_hook_name = add_submenu_page($this->plugin_name . '-admin-menu', 'Commission Sumo Settings', 'Settings', 'manage_options', $this->plugin_name . '-admin-menu', array(&$this, 'load_menu_page'));	
   	$this->views[$view_hook_name] = '1';		
   	add_action( 'admin_print_styles-' . $view_hook_name, array(&$this, 'load_admin_styles'));
   	add_action( 'admin_print_scripts-' . $view_hook_name, array(&$this, 'load_admin_scripts'));
   	
   	$view_hook_name = $this->settings_module->init_admin_menu();
   	add_action( 'admin_print_styles-' . $view_hook_name, array(&$this, 'load_admin_styles'));
   	add_action( 'admin_print_scripts-' . $view_hook_name, array(&$this, 'load_admin_scripts'));
   	
   	$view_hook_name = add_submenu_page(null, 'Commission Sumo Import', 'Import', 'manage_options', $this->plugin_name . '-admin-menu-import', array(&$this, 'load_import_menu_page'));	
   	$this->views[$view_hook_name] = '1';		
   	add_action( 'admin_print_styles-' . $view_hook_name, array(&$this, 'load_admin_styles'));
   	add_action( 'admin_print_scripts-' . $view_hook_name, array(&$this, 'load_admin_scripts'));
	}



	/**

	 * This function will be executed when the admin page is to be loaded

	 * @return void

	 */
	 function load_menu_page() {
	 
	    $this->currentBarNum = $this->views[current_filter()];
	 
	 	// Include the HTML from a separate file to keep the plugin class clean
	 	require "pages/admin_options_page.php";
	 }
	 

   /**
    * This function will be executed when the admin page is to be loaded
    * @return void
    */
    function load_import_menu_page() {
    
       $this->currentBarNum = $this->views[current_filter()];
    
    	// Include the HTML from a separate file to keep the plugin class clean
    	require "pages/admin_import_page.php";
    }
 
	function get_wp_root_path()
	{
	    $path = parse_url(get_bloginfo('wpurl'), PHP_URL_PATH);
	    if(!isset($path))
	       return '/';
	    else
	  	    return $path;
	}
			
   function setup_update_info() {
      // Include Update Class
      require_once('imwb-plugin-update-checker.php');
      $gdd21ed = __FILE__;
      
      $this->wizard_options=new ImwbLicenceActivation_dg();
      $this->wizard_options->init('5234538F29CBE','ccxlic_','Covert Context');
      $this->wizard_options->re_check_license('f£$Fcs12fi524');
      
      $this->update=new ImwbPluginUpdateChecker_dg('5234538F29CBE',$gdd21ed,'covertconv','plugin-update',true);
      $this->update->addQueryArgFilter(array(&$this,'update_checks'));   	
	
	}
	
	function update_checks($queryArgs) {
	
   	$queryArgs['license_key'] = $this->wizard_options->license;
	
	   return $queryArgs;
	}
	
	function shuffle_keywords($keywords) { 
	  if (!is_array($keywords)) return $keywords; 
	
	  $keys = array_keys($keywords); 
	  shuffle($keys); 
	  $random = array(); 
	  foreach ($keys as $key) { 
	    $random[$key] = $keywords[$key]; 
	  }
	  return $random; 
	} 
	
	function ccx_blockAds() {
      $this->blockAds = true;
	}
	function ccx_unblockAds() {
      $this->blockAds = false;	
	}
	
	function ccx_the_content($content) {
//      echo "Filter Content: ccx_the_content<br>";			
      if($this->makingExcerpt)
         return $content;
         
      return $this->ccx_filterContent($content);
	}
					   	
	function ccx_get_the_excerpt($content) {

      $this->makingExcerpt = false;
//	   echo "Filter Content: ccx_get_the_excerpt<br>";	
      if(empty($content)) {
         $this->makingExcerpt = true;
         return $content;
      }
      	   
	   return $this->ccx_filterContent($content);
	}
	
	function ccx_wp_trim_excerpt($text, $raw_excerpt = '') {
	
      if(empty($text)) return $text;   	

//      echo "Filter Content: ccx_wp_trim_excerpt<br>";		
      if($this->makingExcerpt) {
         $this->makingExcerpt = false;
         return $this->ccx_filterContent($text);      
      }      
      return $text;
	}
					   	
	function ccx_filterContent($content) {
		global $post;

		if($this->blockAds)
		   return $content;

      $keywordsToShow = array();
		
      $adsProcessed = get_transient( 'imwb_ccx_ads_processed');

      // if adsProcessed = -1 then start of a new page
      if($adsProcessed == -1) {

         // Get the keywords that apply to the current 'Page'               
         for($adNum = 1; $adNum <= $this->settings_module->num_ads; $adNum++) {
            $adOptions = get_option($this->settings_module->plugin_name."-".$this->settings_module->module_name."-".$adNum."-AdminOptions");
            if($adOptions === false)    
               continue;
         
            // See if ad can be used in current context
            $canUse = false;
            if(!isset($adOptions['active']) || $adOptions['active'] == 'N')
               continue;

            // We are on the front page or search resutls page
			/*if(is_front_page()){
				print_r($adOptions);exit;
			}*/
            if((is_front_page() || is_search()) && isset($adOptions['homeposts']) && $adOptions['homeposts'] == 'Y')    
               $canUse = true;      
                                        
            // If we are on a page then see if set to display 
            else if((is_page() || is_front_page()) && isset($adOptions['allpages']) && $adOptions['allpages'] == 'Y')    
               $canUse = true;      

            // If we are on a page then check if we are set to display for this specific post
            else if(is_single() && isset($adOptions['allposts']) && $adOptions['allposts'] == 'Y')   
               $canUse = true;      

            $postRestrictCats = !empty($adOptions['postcats']) ? explode(",", htmlspecialchars($adOptions['postcats']) ) : Array();
           
            // See if restricted by post in certain categories               
            if( ((is_single() && isset($adOptions['allposts']) && $adOptions['allposts'] == 'Y') ||
                ((is_front_page() || is_search()) && isset($adOptions['homeposts']) && $adOptions['homeposts'] == 'Y'))
                 && count($postRestrictCats) )
            { 

               $canUse = false; 
               $postCats = get_the_category();
               foreach($postCats as $cat) {
                  if(in_array($cat->cat_ID,$postRestrictCats)) {
                     $canUse = true;
                     break;
                  }
               }
            } 

            if($canUse) {
          	   $keywords = preg_split("/\n+/", stripslashes($adOptions['keywords']));
          	   foreach ($keywords as $key => $value) 
                  $keywordsToShow[strtolower(trim($value))] = $adNum;
            }
         }

         $keywordsToShow = $this->shuffle_keywords( $keywordsToShow);

         // Now see if the most optimised Keywords are about to be shown and place then up the top
         // But only do it for half of the number of ads chosen to show
         $keywordsCtr = get_option("imwb_ccx_ads_keyword_ctr", false);
         if($keywordsCtr !== false) {
            $i = 0;
            $optToUse = intval($this->options['numads']/2)+rand(0,1);
            $optKwToShow = array();
            foreach( $keywordsCtr as $key => $value) {
               if($value['ctr'] > 0 && array_key_exists($key, $keywordsToShow)) {
                  $optKwToShow[strtolower($key)] = $keywordsToShow[strtolower($key)];
                  unset($keywordsToShow[strtolower($key)]);
                  $i++;
               }
               if($i >= $optToUse)
                  break;                  
            }
            if(count($optKwToShow)) {
               $keywordsToShow = array_merge($optKwToShow, count($keywordsToShow) ? $keywordsToShow : array());
            }
         }
         
         if(count($keywordsToShow)) {
            $adsProcessed = $this->options['numads'];
            set_transient( 'imwb_ccx_ads_processed', $adsProcessed, 60*60*24 );               
            set_transient( 'imwb_ccx_keywords_to_show', $keywordsToShow, 60*60*24 );               
         }
      }
      // Otherwise we are in the process of processing the current page
      else if($adsProcessed > 0)       
        $keywordsToShow = get_transient( 'imwb_ccx_keywords_to_show');               
      

      if(count($keywordsToShow)) {      

         $ccxContent = new IMWB_Covert_Context_content($content, $keywordsToShow, $adsProcessed);
      
         // Normalise the content
         $ccxContent->maskLinks();
         $ccxContent->maskHtml();
         
         // Find the relevant keywords in the post content and highlight them
         $ccxContent->addContextualLinks();

         // Un-normalise the content         
         $ccxContent->unmaskHtml();
         $ccxContent->unmaskLinks();
                     
         $content = $ccxContent->content;

         set_transient( 'imwb_ccx_ads_processed',  $ccxContent->adsProcessed, 60*60*24 );   
         set_transient( 'imwb_ccx_keywords_to_show',  $ccxContent->keywords, 60*60*24 );   

      }
      

		return $content;
	}
	
	function get_contextual_ad() {
	
	   $ad_id = intval($_REQUEST['adid']);
	   $keyword = trim($_REQUEST['keyword']);
	   $nonce = $_REQUEST['nonce'];

	   // check to see if the submitted nonce matches with the
	   // generated nonce we created earlier
	   if ( ! wp_verify_nonce( $nonce, 'imwb_ccx_ajax_request_nonce' ) )
	       die ( 'Busted!');
	

      $result = $this->settings_module->find_product($ad_id, $keyword);
      
      if(is_array($result)) {
         $message = $result["error"]["module"]." - Reason: ".$result["error"]["reason"]." Message: ".$result["error"]["message"];
         update_option($this->plugin_name."-AdminOptions-errors", $message);  
      }
      else {
         update_option($this->plugin_name."-AdminOptions-errors", '');  
   	   echo $result;
	   }
	      
	   die();
	}
	
   function update_keyword_imp() {
      $keyword = strtolower(trim($_REQUEST['keyword']));
      $nonce = $_REQUEST['nonce'];
      
      // check to see if the submitted nonce matches with the
      // generated nonce we created earlier
      if ( ! wp_verify_nonce( $nonce, 'imwb_ccx_ajax_request_nonce' ) )
        die ( 'Busted!');
      
      $keywordsCtr = get_option("imwb_ccx_ads_keyword_ctr", array());
        
      if (array_key_exists($keyword , $keywordsCtr)) {
         $kwCtr = $keywordsCtr[$keyword];
         $kwCtr["imp"] += 1;
         $kwCtr["ctr"] = intval(($kwCtr["clicks"] / $kwCtr["imp"])*100);
         $keywordsCtr[$keyword] = $kwCtr;
      }
      else {
         $keywordsCtr[$keyword] = Array("imp" => 1, "clicks" => 0, "ctr" => 0);
      }
      

      $keywordsCtr = $this->keyword_ctr_sort( $keywordsCtr);
            
      update_option("imwb_ccx_ads_keyword_ctr", $keywordsCtr);      
            
      echo "";
      die();
   }

   function update_keyword_ctr() {
      $keyword = strtolower(trim($_REQUEST['keyword']));
      $nonce = $_REQUEST['nonce'];
      
      // check to see if the submitted nonce matches with the
      // generated nonce we created earlier
      if ( ! wp_verify_nonce( $nonce, 'imwb_ccx_ajax_request_nonce' ) )
        die ( 'Busted!');
      
      $keywordsCtr = get_option("imwb_ccx_ads_keyword_ctr", array());
        
      if (array_key_exists($keyword , $keywordsCtr)) {
         $kwCtr = $keywordsCtr[$keyword];
         $kwCtr["clicks"] += 1;
         $kwCtr["ctr"] = intval(($kwCtr["clicks"] / $kwCtr["imp"])*100);
         $keywordsCtr[$keyword] = $kwCtr;
         
         $keywordsCtr = $this->keyword_ctr_sort( $keywordsCtr);

         update_option("imwb_ccx_ads_keyword_ctr", $keywordsCtr);      
      }
               
      echo "";
      die();
   }
   
   function keyword_ctr_sortBy($a, $b) {    

      if ($a['ctr'] == $b['ctr']) {
         return 0;
      }
      return ($a['ctr'] > $b['ctr']) ? -1 : 1;
   }
   
   function keyword_ctr_sort($kwArray) {
      uasort($kwArray, array($this, 'keyword_ctr_sortBy'));
      
      return $kwArray;
	}

}

/**

 * Register the plugin

 */

add_action("init", create_function('', 'new IMWB_Covert_Context();'));
require_once('imwb-activation.php');
//register_deactivation_hook(__FILE__, 'IMWB_Covert_Context_deactivation');
