<?php

if (!class_exists('ImwbLicenceActivation_dg')) {

class ImwbLicenceActivation_dg {
	protected $optionName = '';
	protected $item_name = '';
	var $license = '';
	protected $status = '';
	protected $api_key = '';

	/**
	 * Initialize the class.
	 *
	 * @param string $optionName
	 */
	public function init($api_key, $optionName = '', $item_name = '') {
	   $this->optionName = $optionName;
	   $this->item_name = $item_name;
	   $this->api_key = $api_key;

	   $this->license = get_option( $optionName.'k'.'ey', '' );
	   $this->status = get_option( $optionName.'st'.'a'.'tu'.'s', '' );
	}

	public function validate_license($key = '') {

		$server_url = 'http://digitalguard.it/api/license/check';

      $check_url = $server_url.'/'.$this->api_key.'/'.$key.'/'.urlencode($this->item_name);

		$response = wp_remote_get( $check_url, array( 'timeout' => 15, 'sslverify' => false ) );

		if ( is_wp_error( $response ) )
			return false;

		$license_data = json_decode( wp_remote_retrieve_body( $response ) );

		if( $license_data->valid ) {
   		update_option( $this->optionName.'ke'.'y', $key );
	   	update_option( $this->optionName.'s'.'ta'.'t'.'us', $license_data->status );
	   	set_transient( $this->optionName.'la'.'st'.'ch'.'ec'.'k', $key, 60*60*12 );

	   	$this->license = $key;
	   	$this->status = $license_data->status;

			return $this->status;
			// this license is still valid
		} else {

         delete_option( $this->optionName.'k'.'ey', '' );
         delete_option( $this->optionName.'st'.'a'.'tu'.'s', '' );
         delete_transient($this->optionName.'las'.'t'.'c'.'he'.'ck');
         $this->license = '';
         $this->status = '';
         return false;
			// this license is no longer valid
		}
	}

	public function is_license_valid() {
	   return $this->status == 'COMPLETED';
   }

   public function clear_license() {
      delete_option( $this->optionName.'k'.'ey', '' );
      delete_option( $this->optionName.'st'.'a'.'tu'.'s', '' );
      delete_transient($this->optionName.'las'.'t'.'c'.'he'.'ck');
      $this->license = '';
      $this->status = '';

      return true;
   }

   public function re_check_license() {

      if(false === get_transient($this->optionName.'las'.'t'.'c'.'he'.'ck') && !empty($this->license)) {
         return $this->validate_license($this->license);
      }
      return $this->status;
   }

}
}
?>