<?php
ob_start();
class IMWB_Covert_Context_amazon {
   var $super = null;
   var $module_name = "amazon";
   var $plugin_name = "";
   var $plugin_url = "";
   var $num_ads = 100;
   var $options = Array();
   var $currency_symbols = Array('AUD' => '$',
		'BWP'  => 'Pu',
		'CAD'  => '$',
		'DKK'  => 'kr',
		'GBP'  => '£',
		'HKD'  => 'HK$',
		'EUR'  => '€',
		'INR'  => '₹',
		'NGN'  => '₦',
		'PHP'  => 'Php',
		'USD'  => '$',
		'ZAR'  => 'R',
		'ZWD'  => 'Z$',
		'JPY'  => '￥',
		'CNY'  => '￥',
		'CHF'  => 'CHF',
		'TWD'  => 'TW$'
	);
/**
* The constructor is executed when the class is instatiated and the plugin gets loaded.
* @return void
*/
function IMWB_Covert_Context_amazon(&$super) {
	$this->super = $super;
	$this->plugin_name = $super->plugin_name;
	$this->plugin_url = $super->plugin_url;

	add_action('wp_ajax_ccx_amazon_options_action', array(&$this, 'ajax_amazon_options_action_callback'));

	wp_register_script($this->plugin_name .'-'.$this->module_name.'-script', $this->plugin_url.'/scripts/admin_amazon_options_page.js');	
}   
function get_admin_options($feednum) {
	$adminOptions = array('active' => 'Y',
		'adname' => '',
		'searchindex' => 'All',
		'minprice' => '',
		'maxprice' => '',
		'keywords' => '',
		'allposts' => 'Y',
		'allpages' => 'Y',
		'homeposts' => 'Y',
		'postcats' => '',
		'lastused' => 0
	);
   	$devOptions = get_option($this->plugin_name."-".$this->module_name."-".$feednum."-AdminOptions");
   	if (!empty($devOptions)) {
   		foreach ($devOptions as $key => $option)
   			$adminOptions[$key] = $option;
   	}				
	//update_option($this->plugin_name."-".$this->module_name."-".$feednum."-AdminOptions", $adminOptions);
   	return $adminOptions;
}
function load_admin_scripts() {
	wp_enqueue_script($this->plugin_name .'-'.$this->module_name.'-script');
}
function init_admin_menu() {
    $view_hook_name = add_submenu_page($this->plugin_name . '-admin-menu', 'Commission Sumo Ad Settings', 'Contextual Ads', 'manage_options', $this->plugin_name . '-admin-menu-'.$this->module_name, array(&$this, 'load_options_page'));	
    add_action( 'admin_print_scripts-' . $view_hook_name, array(&$this, 'load_admin_scripts'));	
    return  $view_hook_name;
}
function load_options_page() {   
   	// Include the HTML from a separate file to keep the plugin class clean
   	require "settings_options_page.php";
}
function get_price($item) {
    $lowestnewprice = (string)$item->OfferSummary->LowestNewPrice->FormattedPrice;
    $listprice = (string)$item->ItemAttributes->ListPrice->Amount;
    $product_currency = (string)$item->ItemAttributes->ListPrice->CurrencyCode;
	//echo "get_price:".$lowestnewprice.' '.$listprice.' '.$product_currency."<br> ";   
    if(empty($lowestnewprice) || $lowestnewprice == "Too low to display" || $lowestnewprice == "Price too low to display") 
		$product_price = $listprice;
    else {
        $product_price = (string)$item->OfferSummary->LowestNewPrice->Amount;
        $product_currency = (string)$item->OfferSummary->LowestNewPrice->CurrencyCode;
    }
	//echo "Price 1:".$product_currency.$product_price."<br> ";   
    // Now see if there is an offer
    $totOffers = $item->Offers->TotalOffers;
    if(!empty($totOffers) && $totOffers > 0) {
		// Now find the New Condition Offer
        foreach ($item->Offers->Offer as $offer) {
            if($offer->OfferAttributes->Condition == 'New') {
				$offer_price = (string)$offer->OfferListing->Price->FormattedPrice;
				if($offer_price != "Too low to display") {
					$offer_product_price = (string)$offer->OfferListing->Price->Amount;
					if($offer_product_price < $product_price) $product_price = $offer_product_price;
						$product_currency = (string)$offer->OfferListing->Price->CurrencyCode;
						//echo "Price 2:".$product_currency.$product_price."<br> ";                             
				}
				$offer_saleprice = $offer->OfferListing->SalePrice;
				if(!empty($offer_saleprice) && (string)$offer_saleprice->FormattedPrice != "Too Low to Display") {
					$offer_sale_product_price = (string)$offer_saleprice->Amount;
					if($offer_sale_product_price < $product_price) $product_price = $offer_sale_product_price;
						$product_currency = (string)$offer_saleprice->CurrencyCode;
						//echo "Price 3:".$product_currency.$product_price."<br> ";                             
				}
            }
		}
	}
	//echo "Price 4:".$product_currency.$product_price."<br> ";           
    // If price is still not found then try to see if collectable price available
    if(empty($product_price)) {
        $Lowestcollectibleprice = (string)$item->OfferSummary->LowestCollectiblePrice->FormattedPrice;   
        if(!empty($Lowestcollectibleprice) && $Lowestcollectibleprice != "Too low to display" && $Lowestcollectibleprice != "Price too low to display") {
			$product_price = (string)$item->OfferSummary->LowestCollectiblePrice->Amount;
			$product_currency = (string)$item->OfferSummary->LowestCollectiblePrice->CurrencyCode;     
        }
    }
	//echo "Price 5:".$product_currency.$product_price."<br>";
    if(empty($product_price) || $product_price == 0)
        return false;
    
	$return['product_price'] = $product_price /100;
    $return['product_currency'] = $this->currency_symbols[$product_currency];
    return $return;
}   
function find_product($ad_num, $keyword) {
    global $wpdb;
    $return = null;
    $foundProduct = false;
    $keyword = str_replace('"', '', trim(stripslashes($keyword)));
    // Get the Feed Urls to use
    if(empty($ad_num)){
        $return["error"]["module"] = "Feed";
        $return["error"]["reason"] = "No ad Selected";
        $return["error"]["message"] = "There was no ad selected in the settings";
        return $return;
    }	
    $feedOptions = get_option($this->plugin_name."-".$this->module_name."-".$ad_num."-AdminOptions");
    if($feedOptions['ctype'] == 'amazon'){
		if($feedOptions === false) {
			$return["error"]["module"] = "Amazon Feed (".$feedOptions['adname'].")";
			$return["error"]["reason"] = "No Ad Options";
			$return["error"]["message"] = "The selected ad has no options";
			return $return;
		}
		$minPrice = '';
		$maxPrice = '';
		if(!empty($feedOptions['minprice'])) 
			$minPrice = $feedOptions['minprice']*100;
			if(!empty($feedOptions['maxprice'])) 
				$maxPrice = $feedOptions['maxprice']*100;
			
			$resultxml = $this->aws_request($this->super->options['amzregion'], array(
					"Operation"=>"ItemSearch",
					"AssociateTag"=>$this->super->options['amzaffid'],
					"Keywords"=>$keyword,
					"SearchIndex"=>$feedOptions['searchindex'],
					"Availability" => 'Available',
					"Condition"=>"New",
					"ItemPage"=>"1",
					"ReviewSort"=>"-HelpfulVotes",
					"TruncateReviewsAt"=>"500",
					"IncludeReviewsSummary"=>"False",
					"ResponseGroup"=>"Large",
					"MinimumPrice"=>$minPrice,
					"MaximumPrice"=>$maxPrice
				), $this->super->options['amzpubkey'], $this->super->options['amzprikey']);		
			if(!empty($resultxml["error"])) {return $resultxml;}
			if (isset($resultxml->Error)) {
				$message = '<p>There was a problem with your Amazon API request:</p><p><i><b>'.$resultxml->Error->Code.':</b> '.$resultxml->Error->Message.'</i></p>';	
				$return["error"]["module"] = "Amazon ($keyword)";
				$return["error"]["reason"] = "API fail";
				$return["error"]["message"] = $message;	
				return $return;
			}
			if (isset($resultxml->Items->Error)) {
				$message = '<p>There was a problem with your Amazon API request:</p><p><i><b>'.$resultxml->Items->Error->Code.':</b> '.$resultxml->Items->Error->Message.'</i></p>';	
				$return["error"]["module"] = "Amazon ($keyword";
				$return["error"]["reason"] = "API fail";
				$return["error"]["message"] = $message;	
				return $return;
			}
			if (isset($resultxml->Items->Request->Errors)) {
				$return["error"]["module"] = "Amazon";
				$return["error"]["reason"] = "API fail";
				$errorCode = (string)$resultxml->Items->Request->Errors->Error->Code;
				if($errorCode == "AWS.ECommerceService.NoExactMatches") {
					$return["error"]["reason"] = "Amazon";
					$message = 'Sorry, we couldn\'t find any products for that search term. Please try using a different keyword or phrase';
				} else {
					$message = 'There was a problem with your Amazon API request: <i><b>'.$resultxml->Items->Request->Errors->Error->Code.':</b> '.$resultxml->Items->Request->Errors->Error->Message.'</i>';	
				}
				$return["error"]["message"] = $message;	
				return $return;
			}      
			$moreItemsLink = (string)$resultxml->Items->MoreSearchResultsUrl;
			// Loop over the found products and return the first valid one
			foreach($resultxml->Items->Item as $item) {	
				// Get the title
				$product_title = (string)$item->ItemAttributes->Title;		   			   
				$product_link = trim((string)$item->DetailPageURL);         
				// Get the description
				$product_desc = "";
				if (isset($item->EditorialReviews->EditorialReview)) {
					foreach($item->EditorialReviews->EditorialReview as $desc) {
						$product_desc .= (string)$desc->Content;
						break;
					}
				}
				// Get the image
				$postImage = $item->MediumImage->URL;
				if($postImage == "") {$postImage = $item->SmallImage->URL;}	
				// Try the image sets
				if($postImage == "") {$postImage = $item->ImageSets->ImageSet->MediumImage->URL;}	
				if($postImage == "") {$postImage = $item->ImageSets->ImageSet->SmallImage->URL;}	                  
				if($postImage != "") {$postImage = '<a class="imwb-ccx-ctr-track" data-kw="'.$keyword.'" href="'.$product_link.'" rel="nofollow" target="_blank"><img src="'.$postImage.'" /></a>';}
				// Get the Price & Currency
				$itemPrice = $this->get_price($item);
				if($itemPrice === false)
					continue;
				$product_price =  number_format($itemPrice['product_price'],2);
				$product_currency = $itemPrice['product_currency'];   
				if($product_title == '') {
					$html = <<<EOT
					<div class="ccx-kwp-image"><a href="http://covertcontext.com" rel="nofollow" target="_blank"><img src="{$this->plugin_url}/images/commissionsumosmallbox.png" /></a></div>
						<div class="ccx-kwp-details">
							<span class="ccx-kwp-title">Covert Context</span>
							<span class="ccx-kwp-desc">Covert Context Generates Contextual Ads Like This One & Earns You Amazon Commissions On Complete Auto Pilot!</span>
							<span class="ccx-kwp-morelink"><a href="http://covertcontext.com" rel="nofollow" target="_blank">Click Here To Learn More </a></span>
EOT;
					} else {
						// Assemble the parts into the finaly HTML layout
						$html = <<<EOT
						<div class="ccx-kwp-image">{$postImage}</div>
							<div class="ccx-kwp-details">
								<span class="ccx-kwp-title">{$product_title}</span>
								<span class="ccx-kwp-desc">{$product_desc}</span>
								<span class="ccx-kwp-price">{$product_currency}{$product_price}</span>
								<span class="ccx-kwp-buybtn"><a class="imwb-ccx-ctr-track" data-kw="{$keyword}" href="{$product_link}" rel="nofollow" target="_blank"><img src="{$this->plugin_url}/images/amazon-buy5.gif"></a></span>
								<span class="ccx-kwp-morelink"><a class="imwb-ccx-ctr-track" data-kw="{$keyword}" href="{$moreItemsLink}" rel="nofollow" target="_blank">See More Like This</a></span>
EOT;
					if($this->super->options['enable_poweredby'] == 'on'){
						if(!empty($this->super->options['affiliate_user_email'])){
							$base_url = "https://app.paykickstart.com/api/";
							$route    = "affiliate/";
							$data = [
								'auth_token'      => 'hN6MYScTOVCD',
								'campaign_id'     => 667,
								'affiliate_email' => $this->super->options['affiliate_user_email']
							];
							$params = implode( "/", $data );
							$getUrl = $base_url.$route.$params;
							$ch = curl_init();
							curl_setopt( $ch, CURLOPT_URL, $getUrl );
							curl_setopt( $ch, CURLOPT_RETURNTRANSFER, 1 );
							$output = curl_exec( $ch );
							curl_close( $ch );
							$affData = json_decode( $output );
							if(!empty($affData->links)){
								foreach($affData->links as $aff_k => $aff_v){
									$html.= '<span class="ccx-kwp-abclink"><a style="color:'.$this->super->options['linkstyleft1'].';font-size:11px;font-weight:700;" href="'.$aff_v.'" rel="nofollow" target="_blank">Ads By Commission Sumo</a></span>';
								}
							}else{
								$html.= '<span class="ccx-kwp-abclink"><a style="color:'.$this->super->options['linkstyleft1'].';font-size:11px;font-weight:700;" href="//commissionsumo.com/" rel="nofollow" target="_blank">Ads By Commission Sumo</a></span>';
							}
						}else{
							$html.= '<span class="ccx-kwp-abclink"><a style="color:'.$this->super->options['linkstyleft1'].';font-size:11px;font-weight:700;" href="//commissionsumo.com/" rel="nofollow" target="_blank">Ads By Commission Sumo</a></span>';
						}
					}
					$html.='</div>';
				}
				break;
			}
			return $html;
		}else if($feedOptions['ctype'] == 'html'){
			echo '<div>'.stripslashes($feedOptions['amazon_ctype']).'</div>';
			/*echo '<pre>';
			print_r($feedOptions);
			echo '</pre>';*/
			// print_r($feedOptions);
		}else if($feedOptions['ctype'] == 'action'){
			if($feedOptions['link_new_window']=='on'){
				$target = 'target="_blank"';
			}else{
				$target = '';
			}
			if($feedOptions['btn_style'] == 'black'){
				$btn_clr = '#000';
				$fnt_clr = '#fff';
			}else if($feedOptions['btn_style'] == 'white'){
				$btn_clr = '#fff';
				$fnt_clr = '#000';
			}else if($feedOptions['btn_style'] == 'blue'){
				$btn_clr = '#00f';
				$fnt_clr = '#fff';
			}else if($feedOptions['btn_style'] == 'red'){
				$btn_clr = '#f00';
				$fnt_clr = '#fff';
			}else if($feedOptions['btn_style'] == 'yellow'){
				$btn_clr = '#ff0';
				$fnt_clr = '#000';
			}else if($feedOptions['btn_style'] == 'green'){
				$btn_clr = '#0f0';
				$fnt_clr = '#000';
			}
			
			if($feedOptions['btn_size'] == 'small'){
				$btn_padding = '3%';
			}else if($feedOptions['btn_size'] == 'medium'){
				$btn_padding = '5%';
			}else if($feedOptions['btn_size'] == 'large'){
				$btn_padding = '7%';
			}
			// echo $feedOptions['btn_size'];
			echo '<div align="center">';
				if($feedOptions['abv_hdln_txt'] != ''){
					echo '<div style="min-height:30px;height:auto;"><h3>'.$feedOptions['abv_hdln_txt'].'</h3></div>';
				}
				echo '<style>
					.ccx-btn-action{border-radius:4px;padding:'.$btn_padding.';color:'.$fnt_clr.';background-color:'.$btn_clr.';}
					.ccx-btn-action:hover{color:white;}
				</style>';
				echo '<div align="center" style="height:85px;line-height:85px;">';
					echo '<a class="ccx-btn-action" href="'.$feedOptions['link_clicked'].'" '.$target.'>'.stripslashes($feedOptions['btn_txt']).'</a>';
				echo '</div>';
				if($feedOptions['blw_hdln_txt'] != ''){
					echo '<div style="height:50px">'.$feedOptions['blw_hdln_txt'].'</div>';
				}
			echo '</div>';
		}else if($feedOptions['ctype'] == 'social'){
			echo '<div align="center">';
			$crunchifyTitle = get_bloginfo( 'name' );
			echo '<h3>Share '.$crunchifyTitle.'</h3>';
			$url = plugins_url().'/commissionsumo/images/social/';
			$crunchifyURL = urlencode(get_home_url());
			if($feedOptions['social_chk_fb'] != ''){
				$facebookURL = 'https://www.facebook.com/sharer/sharer.php?u='.$crunchifyURL;
				$content_fb = '<a class="crunchify-link crunchify-facebook" href="'.$facebookURL.'" target="_blank"><img height="50" width="50" src="'.$url.'/facebook.png" alt="" /></a>';
				echo $content_fb;
			}
			if($feedOptions['social_chk_twit'] != ''){
				$twitterURL = 'https://twitter.com/intent/tweet?text='.$crunchifyTitle.'&amp;url='.$crunchifyURL;
				$content_twitter = '<a class="crunchify-link crunchify-twitter" href="'. $twitterURL .'" target="_blank"><img height="50" width="50" src="'.$url.'/twitter.png"></a>';
				echo $content_twitter;
			}
			if($feedOptions['social_chk_link'] != ''){
				$linkedInURL = 'https://www.linkedin.com/shareArticle?mini=true&url='.$crunchifyURL.'&amp;title='.$crunchifyTitle;
				$content_linkedin = '<a class="crunchify-link crunchify-linkedin" href="'.$linkedInURL.'" target="_blank"><img height="50" width="50" src="'.$url.'/linkedin.png"></a>';
				echo $content_linkedin;
			}
			if($feedOptions['social_chk_pin'] != ''){
				$pinterestURL = 'https://pinterest.com/pin/create/button/?url='.$crunchifyURL.'&amp;description='.$crunchifyTitle;
				$content_pinterest = '<a class="crunchify-link crunchify-pinterest" href="'.$pinterestURL.'" target="_blank"><img height="50" width="50" src="'.$url.'/pinterest.png"></a>';
				echo $content_pinterest;
			}
			echo '</div>';
		}else if($feedOptions['ctype'] == 'video'){
			if($feedOptions['ad_abv_video'] == 'on'){
				echo '<h3>'.stripslashes($feedOptions['adv_code_video']).'</h3>';
			}
			$DEVELOPER_KEY = 'AIzaSyA7Km0HUa76OY9smboWfsK68tbUh_tWo2A';			
			$client = new Google_Client_v1();
			$client->setDeveloperKey($DEVELOPER_KEY);
			$youtube = new Google_YoutubeService($client);
			//$chnlid = "'channelId' => $feedOptions['channelId']";
			try {
				if($feedOptions['channelId'] != ''){
					$searchResponse = $youtube->search->listSearch('id,snippet', array(
						'q' => $keyword,
						'maxResults' => 1,
						'order' => $feedOptions['orderBy'],
						'safeSearch' => $feedOptions['safeSearch'],
						'regionCode' => $feedOptions['country_region'],
						'channelId' => $feedOptions['channelId']
					));
				}else{
				$searchResponse = $youtube->search->listSearch('id,snippet', array(
					'q' => $keyword,
					'maxResults' => 1,
					'order' => $feedOptions['orderBy'],
					'safeSearch' => $feedOptions['safeSearch'],
					'regionCode' => $feedOptions['country_region']
				));
				}
				foreach ($searchResponse['items'] as $searchResult) {
					if ($searchResult['id']['kind'] == "youtube#video") {
						$name = stripslashes(str_replace('"','`',$searchResult['snippet']['title']));
						$url = "http://www.youtube.com/watch?v=".$searchResult['id']['videoId'];
						$video = "https://www.youtube.com/embed/".$searchResult['id']['videoId'];
						$description = stripslashes(str_replace('"','`',$searchResult['snippet']['description']));
					}
					elseif($searchResult['id']['kind'] == "uploaded#video"){
						$name = stripslashes(str_replace('"','`',$searchResult['title']));
						$url = $searchResult['url'];
						$video = "https://www.youtube.com/embed/".$searchResult['video_id'];
						//	$video = "https://www.youtube.com/embed/".$searchResult['id']['videoId'];
						$description = stripslashes($searchResult['description']);
					}
				}
				?>
				<iframe width="100%" height="250" src="<?php echo $video; ?>" frameborder="0" allowfullscreen></iframe>
				<?php
			}catch (Google_Service_v1Exception $e) {
				sprintf('<p>A service error occurred: <code>%s</code></p>',
				htmlspecialchars($e->getMessage()));
			} catch (Google_Exception $e) {
				sprintf('<p>An client error occurred: <code>%s</code></p>',
				htmlspecialchars($e->getMessage()));
			}
			if($feedOptions['ad_blw_video'] == 'on'){
				echo '<h3>'.stripslashes($feedOptions['adv_code_video']).'</h3>';
			}
		}else if($feedOptions['ctype'] == 'optin'){
			?>
			<style>
			.ccx-keywordpopup-base{height:300px !important;width:500px !important;}
			</style>
			<?php
			$apikey = trim($this->super->options['aweber_key']);
			$apiSecret = trim($this->super->options['aweber_secret']);
			$listid=$feedOptions['listid'];
			if($feedOptions['headline_text'] != ''){
			?>
			<div align="center"><h3><strong><?php echo $feedOptions['headline_text']; ?></strong></h3></div>
			<?php } ?>
			<div>
				<div style="width:25%;float:left;margin-top:4%;">
					<img style="border-radius:4px;" src="<?php echo plugins_url().'/'.IMWB_CCX_FOLDER.'/images/optin.png'; ?>" alt=""/>
				</div>
				<div align="center" style="width:72%;float:left;margin:1%;">
					<form method="POST" id="optin_form" action="">
						<input style="margin:3px 0" type="text" id="optin_name" placeholder="Your Name" name="optin_name" required />
						<input style="margin:3px 0" type="email" id="optin_email" placeholder="Your Email" name="optin_email" required /><br/>
						<input type="hidden" name="aweber_key" id="aweber_key" value="<?php echo $apikey; ?>" />
						<input type="hidden" name="aweber_secret" id="aweber_secret" value="<?php echo $apiSecret; ?>" />
						<input type="hidden" name="aweber_listid" id="aweber_listid" value="<?php echo $listid; ?>" />
						<input type="hidden" name="aweber_accesstoken" id="aweber_accesstoken" value="<?php echo get_option('imwb_aweber_access_token',null); ?>" />
						<input type="hidden" name="aweber_tokensecret" id="aweber_tokensecret" value="<?php echo get_option('imwb_awaber_token_secret',null); ?>" />
						<input type="button" onclick="optin_form_submit()" name="optin_submit" value="<?php echo $feedOptions['subscrb_btn_txt'] != '' ? $feedOptions['subscrb_btn_txt'] : 'Subscribe'; ?>" />
					</form>
				</div>
			</div>
			<?php
			if($feedOptions['email_privacy_text'] != ''){
			?>
			<div align="center">
				<p style="color:#999"><?php echo $feedOptions['email_privacy_text']; ?></p>
			</div>
			<?php } ?>
			 <script>
			function optin_form_submit() {
				var name = document.getElementById("optin_name").value;
				var email = document.getElementById("optin_email").value;
				var aweber_key = document.getElementById("aweber_key").value;
				var aweber_secret = document.getElementById("aweber_secret").value;
				var aweber_listid = document.getElementById("aweber_listid").value;
				var accesstoken = document.getElementById("aweber_accesstoken").value;
				var tokensecret = document.getElementById("aweber_tokensecret").value;
				var dataString = 'name1=' + name + 
								'&email1=' + email + 
								'&aweber_key=' + aweber_key + 
								'&aweber_secret=' + aweber_secret +
								'&listid=' + aweber_listid +
								'&accesstoken=' + accesstoken +
								'&tokensecret=' + tokensecret;
				if (name == '' || email == '') {
					alert("Please Fill All Fields");
				}else{
					jQuery.ajax({
						type: "POST",
						url: "/wp-content/plugins/commissionsumo/pages/optin_register.php",
						data: dataString,
						cache: false,
						success: function(response) {
							alert(response);
						}
					});
				}
			}
			</script>
			<?php
		}else if($feedOptions['ctype'] == 'jvzoo'){
			$jvzoo_aff_id = $this->super->options['jvzoo_aff_id'];
			if($jvzoo_aff_id == ''){
				echo '<p><strong>JVZoo Affiliate</strong><br />';
				echo '<p>Looks like you haven\'t inserted your JVZoo Affiliate ID in the CommissionSumo Settings yet..Please insert your JVZoo Affiliate ID to make this work..</p>';
			}else{
				$rss = new DOMDocument();
				$rss->load('http://rss.jvzoo.com/affiliates/'.$jvzoo_aff_id);
				$feed = array();
				foreach ($rss->getElementsByTagName('item') as $node) {
					$item = array ( 
						'title' => $node->getElementsByTagName('title')->item(0)->nodeValue,
						'desc' => $node->getElementsByTagName('description')->item(0)->nodeValue,
						'link' => $node->getElementsByTagName('link')->item(0)->nodeValue,
						'date' => $node->getElementsByTagName('pubDate')->item(0)->nodeValue,
						);
					array_push($feed, $item);
				}
				$x = array_rand($feed,1);
				$title = str_replace(' & ', ' &amp; ', $feed[$x]['title']);
				$link = $feed[$x]['link'];
				$description = $feed[$x]['desc'];
				$date = date('l F d, Y', strtotime($feed[$x]['date']));
				echo '<p><strong><a target="_blank" href="'.$link.'" title="'.$title.'">'.$title.'</a></strong><br />';
				echo '<p>'.$description.'</p>';
			}
		}else if($feedOptions['ctype'] == 'clickbank'){
			$url_learn = plugins_url().'/commissionsumo/images/learn-more-button.gif';
			$cur_cb_cat = $feedOptions['cb_category'];
			$file = file_get_contents(site_url()."/wp-content/plugins/commissionsumo/pages/clickbankexport.csv");
			$data = array_map("str_getcsv", preg_split('/\r*\n+|\r+/', $file));
			for($i=0;$i<=count($data);$i++){
				$categories_clickbank = $data[$i][0];
				if($data[$i][0] != ''){
					$categories_clickbank1[] = $data[$i][0];
				}
				if($categories_clickbank != ''){
					$vendors_clickbank = $data[$i][1];
					$title_clickbank = $data[$i][3];
					$vendors1_clickbank = $data[$i][15];
					$title1_clickbank = $data[$i][17];
					$vendors2_clickbank = $data[$i][29];
					$title2_clickbank = $data[$i][31];
					$vendors3_clickbank = $data[$i][43];
					$title3_clickbank = $data[$i][45];
					$vendors4_clickbank = $data[$i][57];
					$title4_clickbank = $data[$i][59];
					$vendors5_clickbank = $data[$i][71];
					$title5_clickbank = $data[$i][73];
					$vendors6_clickbank = $data[$i][85];
					$title6_clickbank = $data[$i][87];
					$vendors7_clickbank = $data[$i][99];
					$title7_clickbank = $data[$i][101];
					$vendors8_clickbank = $data[$i][113];
					$title8_clickbank = $data[$i][115];
					$vendors9_clickbank = $data[$i][127];
					$title9_clickbank = $data[$i][129];
					$vendors10_clickbank = $data[$i][141];
					$title10_clickbank = $data[$i][143];
					$vendors11_clickbank = $data[$i][155];
					$title11_clickbank = $data[$i][157];
					$vendors12_clickbank = $data[$i][169];
					$title12_clickbank = $data[$i][171];
					$vendors13_clickbank = $data[$i][183];
					$title13_clickbank = $data[$i][185];
					$vendors14_clickbank = $data[$i][197];
					$title14_clickbank = $data[$i][199];
					$vendors15_clickbank = $data[$i][211];
					$title15_clickbank = $data[$i][213];
					$vendors16_clickbank = $data[$i][225];
					$title16_clickbank = $data[$i][227];
					$vendors17_clickbank = $data[$i][239];
					$title17_clickbank = $data[$i][241];
					$vendors18_clickbank = $data[$i][253];
					$title18_clickbank = $data[$i][255];
					$vendors19_clickbank = $data[$i][267];
					$title19_clickbank = $data[$i][269];
					$vendors20_clickbank = $data[$i][281];
					$title20_clickbank = $data[$i][283];
					$vendors21_clickbank = $data[$i][295];
					$title21_clickbank = $data[$i][297];
					$vendors22_clickbank = $data[$i][309];
					$title22_clickbank = $data[$i][311];
					$vendors23_clickbank = $data[$i][323];
					$title23_clickbank = $data[$i][325];
					$vendors24_clickbank = $data[$i][337];
					$title24_clickbank = $data[$i][339];
					$vendors25_clickbank = $data[$i][351];
					$title25_clickbank = $data[$i][353];
					$vendors26_clickbank = $data[$i][365];
					$title26_clickbank = $data[$i][367];
					$vendors27_clickbank = $data[$i][379];
					$title27_clickbank = $data[$i][381];
					$vendors28_clickbank = $data[$i][393];
					$title28_clickbank = $data[$i][395];
					$vendors29_clickbank = $data[$i][407];
					$title29_clickbank = $data[$i][409];
					$vendors30_clickbank = $data[$i][421];
					$title30_clickbank = $data[$i][423];
					$vendors31_clickbank = $data[$i][435];
					$title31_clickbank = $data[$i][437];
					$vendors32_clickbank = $data[$i][449];
					$title32_clickbank = $data[$i][451];
					$vendors33_clickbank = $data[$i][463];
					$title33_clickbank = $data[$i][465];
					$vendors34_clickbank = $data[$i][477];
					$title34_clickbank = $data[$i][479];
					$vendors35_clickbank = $data[$i][491];
					$title35_clickbank = $data[$i][493];
					$vendors36_clickbank = $data[$i][505];
					$title36_clickbank = $data[$i][507];
					$vendors37_clickbank = $data[$i][519];
					$title37_clickbank = $data[$i][521];
					$vendors38_clickbank = $data[$i][533];
					$title38_clickbank = $data[$i][535];
					$vendors39_clickbank = $data[$i][547];
					$title39_clickbank = $data[$i][549];
					$vendors40_clickbank = $data[$i][561];
					$title40_clickbank = $data[$i][563];
					$vendors41_clickbank = $data[$i][575];
					$title41_clickbank = $data[$i][577];
					$vendors42_clickbank = $data[$i][589];
					$title42_clickbank = $data[$i][591];
					$vendors43_clickbank = $data[$i][603];
					$title43_clickbank = $data[$i][605];
					$vendors44_clickbank = $data[$i][617];
					$title44_clickbank = $data[$i][619];
					$vendors45_clickbank = $data[$i][631];
					$title45_clickbank = $data[$i][633];
					$vendors46_clickbank = $data[$i][645];
					$title46_clickbank = $data[$i][647];
					$vendors47_clickbank = $data[$i][659];
					$title47_clickbank = $data[$i][661];
					$vendors48_clickbank = $data[$i][673];
					$title48_clickbank = $data[$i][675];
					$vendors49_clickbank = $data[$i][687];
					$title49_clickbank = $data[$i][689];
					$vendors50_clickbank = $data[$i][701];
					$title50_clickbank = $data[$i][703];
					
					$clickbank_main[$categories_clickbank] = array(
						'0' => array($vendors_clickbank,$title_clickbank),
						'1' => array($vendors1_clickbank,$title1_clickbank),
						'2' => array($vendors2_clickbank,$title2_clickbank),
						'3' => array($vendors3_clickbank,$title3_clickbank),
						'4' => array($vendors4_clickbank,$title4_clickbank),
						'5' => array($vendors5_clickbank,$title5_clickbank),
						'6' => array($vendors6_clickbank,$title6_clickbank),
						'7' => array($vendors7_clickbank,$title7_clickbank),
						'8' => array($vendors8_clickbank,$title8_clickbank),
						'9' => array($vendors9_clickbank,$title9_clickbank),
						'10' => array($vendors10_clickbank,$title10_clickbank),
						'11' => array($vendors11_clickbank,$title11_clickbank),
						'12' => array($vendors12_clickbank,$title12_clickbank),
						'13' => array($vendors13_clickbank,$title13_clickbank),
						'14' => array($vendors14_clickbank,$title14_clickbank),
						'15' => array($vendors15_clickbank,$title15_clickbank),
						'16' => array($vendors16_clickbank,$title16_clickbank),
						'17' => array($vendors17_clickbank,$title17_clickbank),
						'18' => array($vendors18_clickbank,$title18_clickbank),
						'19' => array($vendors19_clickbank,$title19_clickbank),
						'20' => array($vendors20_clickbank,$title20_clickbank),
						'21' => array($vendors21_clickbank,$title21_clickbank),
						'22' => array($vendors22_clickbank,$title22_clickbank),
						'23' => array($vendors23_clickbank,$title23_clickbank),
						'24' => array($vendors24_clickbank,$title24_clickbank),
						'25' => array($vendors25_clickbank,$title25_clickbank),
						'26' => array($vendors26_clickbank,$title26_clickbank),
						'27' => array($vendors27_clickbank,$title27_clickbank),
						'28' => array($vendors28_clickbank,$title28_clickbank),
						'29' => array($vendors29_clickbank,$title29_clickbank),
						'30' => array($vendors30_clickbank,$title30_clickbank),
						'31' => array($vendors31_clickbank,$title31_clickbank),
						'32' => array($vendors32_clickbank,$title32_clickbank),
						'33' => array($vendors33_clickbank,$title33_clickbank),
						'34' => array($vendors34_clickbank,$title34_clickbank),
						'35' => array($vendors35_clickbank,$title35_clickbank),
						'36' => array($vendors36_clickbank,$title36_clickbank),
						'37' => array($vendors37_clickbank,$title37_clickbank),
						'38' => array($vendors38_clickbank,$title38_clickbank),
						'39' => array($vendors39_clickbank,$title39_clickbank),
						'40' => array($vendors40_clickbank,$title40_clickbank),
						'41' => array($vendors41_clickbank,$title41_clickbank),
						'42' => array($vendors42_clickbank,$title42_clickbank),
						'43' => array($vendors43_clickbank,$title43_clickbank),
						'44' => array($vendors44_clickbank,$title44_clickbank),
						'45' => array($vendors45_clickbank,$title45_clickbank),
						'46' => array($vendors46_clickbank,$title46_clickbank),
						'47' => array($vendors47_clickbank,$title47_clickbank),
						'48' => array($vendors48_clickbank,$title48_clickbank),
						'49' => array($vendors49_clickbank,$title49_clickbank),
						'50' => array($vendors50_clickbank,$title50_clickbank)
					);
				}
			}
			foreach ($clickbank_main as $key =>$new_cb_main) {
				if($key == $cur_cb_cat){
					$array_cb = $new_cb_main;
				}
			}
			$random_cb = array_rand($array_cb);
			$title = $array_cb[$random_cb][1];
			$venid = $array_cb[$random_cb][0];
			$aff_cb = $this->super->options['clickbank_id'];
			echo '<div align="center" style="margin-top:2%;">';
			echo '<h3><strong>'.$title.'</strong></h3>';
			echo '<a href="http://'.$aff_cb.'.'.$venid.'.hop.clickbank.net"><img style="height:80px" src="'.$url_learn.'" alt="" /></a>';
			echo '</div>';
			
		}
}
function aws_request($region, $params, $public_key, $private_key) {
	libxml_use_internal_errors(true);
   	$method = "GET";
	//  $host = "ecs.amazonaws.".$region;
   	$host = "webservices.amazon.".$region;
   	$uri = "/onca/xml";
   
   	$params["Service"] = "AWSECommerceService";
   	$params["AWSAccessKeyId"] = $public_key;
   	
   	$t = time() + 10000;
   	$params["Timestamp"] = gmdate("Y-m-d\TH:i:s\Z",$t);	
   	$params["Version"] = "2011-08-01";
   	ksort($params);
   	
   	$canonicalized_query = array();
   	foreach ($params as $param=>$value) {
   		$param = str_replace("%7E", "~", rawurlencode($param));
   		$value = str_replace("%7E", "~", rawurlencode($value));
   		$canonicalized_query[] = $param."=".$value;
   	}
   
   	$canonicalized_query = implode("&", $canonicalized_query);
   	$string_to_sign = $method."\n".$host."\n".$uri."\n".$canonicalized_query;   
   	$signature = base64_encode(hash_hmac("sha256", $string_to_sign, $private_key, True));  
   	$signature = str_replace("%7E", "~", rawurlencode($signature));  
   	$request = "http://".$host.$uri."?".$canonicalized_query."&Signature=".$signature; 
	//echo $request."<br><br>";
   	
   	$response = wp_remote_get($request);
	if( is_wp_error( $response ) ) {
		$return["error"]["module"] = "Amazon";
		$return["error"]["reason"] = "Error Connecting to Amazon API";
		$return["error"]["message"] = $response->get_error_message();	
		return $return;
	}	 	
	//echo '<br><br>Response:<pre>';
	//print_r( $response['body'] );
	//echo '</pre>';
	$pxml = simplexml_load_string($response['body']);
	if ($pxml === False) {
		$emessage = "Failed loading XML, errors returned: ";
		foreach(libxml_get_errors() as $error) {
			$emessage .= $error->message . ", ";
		}	
		libxml_clear_errors();
		$return["error"]["module"] = "Amazon";
		$return["error"]["reason"] = "XML Error";
		$return["error"]["message"] = $emessage;	
		return $return;			
	} else {
		return $pxml;
	}
}
// Function to get a list of the Blogs Categories and return a <option> list of them
function get_blog_categories($parentId = 0, $selected=array(), $level = 0) {
    $retStr = '';
    if(!is_array($selected))
        $selected = array();

  	$cats = get_categories('child_of='.$parentId.'&parent='.$parentId.'&hide_empty=0');
	if(count($cats) > 0){
		foreach($cats as $cat){
			$sel = false;
			if(in_array($cat->cat_ID,$selected))
				$sel = true;
			
			$retStr.= "<option value='" . $cat->cat_ID . "' ".(($sel)?' selected="selected"':'').'>'.str_repeat('  - ', $level).wp_specialchars($cat->cat_name).'</option>'.$this->get_blog_categories($cat->cat_ID, $selected, $level+1);
		}
	}   
	return $retStr;
}
// AJAX callbacks
function ajax_amazon_options_action_callback() {
	global $wpdb; // this is how you get access to the database
   	$feedNum = intval( $_POST['num'] );
   	$feedAction = $_POST['cmd'];
   	if($feedAction == 'del') {
		delete_option($this->plugin_name."-".$this->module_name."-".$feedNum."-AdminOptions");
      	echo "";
      	die();
	}
	else if($feedAction == 'pause') {
		$this->options = $this->get_admin_options($feedNum);
		$this->options['active'] = 'N';
		update_option($this->plugin_name."-".$this->module_name."-".$feedNum."-AdminOptions", $this->options);
      	echo "";
      	die();
	}
	else if($feedAction == 'activate') {
		$this->options = $this->get_admin_options($feedNum);
		$this->options['active'] = 'Y';
		update_option($this->plugin_name."-".$this->module_name."-".$feedNum."-AdminOptions", $this->options);
      	echo "";
      	die();
	}
    $this->options = $this->get_admin_options($feedNum);   
    ob_start();
?>   
<input type="hidden" name="imwb_covertcontext_ad_options[lastrun]" value="<?php echo $this->options['lastrun'] ?>">
<input type="hidden" name="ad_num" value="<?php echo $feedNum; ?>">
<h3>Add New Contextual Ad</h3>
<div class="steps clearfix">
	<ul role="tablist" class="tablist">
		<li id="wfc-1" class="current steps_tab1">
			<a id="wfc-form-t-0" href="#wfc-form-h-0"><span class="number">1.</span> Campaign Details</a>
		</li>
		<li id="wfc-2" class="steps_tab1">
			<a id="wfc-form-t-1" href="#wfc-form-h-1"><span class="number">2.</span> Campaign Type</a>
		</li>
		<li id="wfc-3" class="steps_tab1" aria-selected="false">
			<a id="wfc-form-t-2" href="#wfc-form-h-2"><span class="number">3.</span> Keyword</a>
		</li>
		<li id="wfc-4" class="steps_tab1">
			<a id="wfc-form-t-3" href="#wfc-form-h-3"><span class="number">4.</span> Content</a>
		</li>
		<li id="wfc-5" class="steps_tab1">
			<a id="wfc-form-t-4" href="#wfc-form-h-5"><span class="number">5.</span> Location</a>
		</li>
	</ul>
</div>
<div class="content clearfix" style="height: 550px;">
	<section class="wfc_step body wfc-1" id="wfc-form-p-0" role="tabpanel" aria-labelledby="wfc-form-h-0" aria-hidden="false" style="left: 0px;display: block;">
		<div class="left_menu" style="width:100%;padding:2%;float:left;min-height: 525px;height: auto;">
			<table>
				<tr>
					<td>Campaign Name</td>
					<td style="width:50%">
						<input id="imwb_covertcontext_ad_options[active]" type="hidden" name="imwb_covertcontext_ad_options[active]" value="Y"/>
						<input id="adnameimwb_covertcontext_ad_options_adname" class="regular-text" type="text" name="imwb_covertcontext_ad_options[adname]" value="<?php echo htmlspecialchars(stripslashes($this->options['adname'])) ?>" size="40"/>
					</td>
				</tr>
				<tr>
					<td>No. of Ads Per Page</td>
					<td style="width:50%">
						<select name="imwb_covertcontext_ad_options[numads]">
							<?php 
							$ad_per_page = array(
								"1" => array("label" => "1"),
								"2" => array("label" => "2"),
								"3" => array("label" => "3"),
								"4" => array("label" => "4"),
								"5" => array("label" => "5"),
							);
							foreach ($ad_per_page as $key_pp => $value_pp) {
								$selected_pp = ($this->options['numads'] == $key_pp) ? " selected" : "";
								echo "<option value='{$key_pp}'{$selected_pp}>{$value_pp['label']}</option>";
							}
							?>
						</select>
					</td>
				</tr>
			</table>
		</div>
	</section>
	<section class="wfc_step body current wfc-2" id="wfc-form-p-1" role="tabpanel" aria-labelledby="wfc-form-h-1" aria-hidden="true" style="display: none;">
		<div class="left_menu" style="width:100%;padding:2%;float:left;min-height: 525px;height: auto;">
			<table style="width:100%;">
				<tr style="margin-bottom:50px;">
					<?php $radio_checked = htmlspecialchars(stripslashes($this->options['ctype'])); 
						$social_checked = '';
						$video_checked = '';
						$amazon_checked = '';
						$action_checked = '';
						$optin_checked = '';
						$html_checked = '';
						$jvzoo_checked = '';
						$clickbank_checked = '';
						if($radio_checked == 'social'){
							$social_checked = 'checked';
						}else if($radio_checked == 'video'){
							$video_checked = 'checked';
						}else if($radio_checked == 'amazon'){
							$amazon_checked = 'checked';
						}else if($radio_checked == 'action'){
							$action_checked = 'checked';
						}else if($radio_checked == 'optin'){
							$optin_checked = 'checked';
						}else if($radio_checked == 'html'){
							$html_checked = 'checked';
						}else if($radio_checked == 'jvzoo'){
							$jvzoo_checked = 'checked';
						}
						else if($radio_checked == 'clickbank'){
							$clickbank_checked = 'checked';
						}
						$url = plugins_url().'/'.IMWB_CCX_FOLDER.'/images/campaign_type/';
					?>
					<td>
						<input class="ctype_radio" id="ctype_radio1" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="social" <?php echo $social_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">Social Share</label>-->
						<img class="ctype_img" data="social" onclick="document.getElementById('ctype_radio1').checked = true;" src="<?php echo $url; ?>cs_social_share.png" alt="" />
					</td>
					<td>
						<input class="ctype_radio" id="ctype_radio2" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="video" <?php echo $video_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">Video</label>-->
						<img class="ctype_img" data="video" onclick="document.getElementById('ctype_radio2').checked = true;" src="<?php echo $url; ?>cs_video.png" alt="" />
					</td>
				</tr>
				<tr style="margin-bottom:50px;">
					<td>
						<input class="ctype_radio" id="ctype_radio3" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="amazon" <?php echo $amazon_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">Amazon</label>-->
						<img class="ctype_img" data="amazon" onclick="document.getElementById('ctype_radio3').checked = true;" src="<?php echo $url; ?>cs_amazon.png" alt="" />
					</td>
					<td>
						<input class="ctype_radio" id="ctype_radio4" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="action" <?php echo $action_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">Call to Action</label>-->
						<img class="ctype_img" data="action" onclick="document.getElementById('ctype_radio4').checked = true;" src="<?php echo $url; ?>cs_cta.png" alt="" />
					</td>
				</tr>
				<tr>
					<td>
						<input class="ctype_radio" id="ctype_radio5" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="optin" <?php echo $optin_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">Optin Form</label>-->
						<img class="ctype_img" data="optin" onclick="document.getElementById('ctype_radio5').checked = true;" src="<?php echo $url; ?>cs_optin.png" alt="" />
					</td>
					<td>
						<input class="ctype_radio" id="ctype_radio6" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="html" <?php echo $html_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">HTML</label>-->
						<img class="ctype_img" data="html" onclick="document.getElementById('ctype_radio6').checked = true;" src="<?php echo $url; ?>cs_html.png" alt="" />
					</td>
				</tr>
				<tr>
					<td>
						<input class="ctype_radio" id="ctype_radio7" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="jvzoo" <?php echo $jvzoo_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">HTML</label>-->
						<img class="ctype_img" data="jvzoo" onclick="document.getElementById('ctype_radio7').checked = true;" src="<?php echo $url; ?>cs_jvzoo.png" alt="" />
					</td>
					<td>
						<input class="ctype_radio" id="ctype_radio8" type="radio" name="imwb_covertcontext_ad_options[ctype]" value="clickbank" <?php echo $clickbank_checked; ?>>
						<!--<label for="imwb_covertcontext_ad_options[ctype]">HTML</label>-->
						<img class="ctype_img" data="clickbank" onclick="document.getElementById('ctype_radio8').checked = true;" src="<?php echo $url; ?>cs_clickbank.png" alt="" />
					</td>
				</tr>
			</table>
		</div>
	</section>
	<section class="wfc_step body current wfc-3" id="wfc-form-p-2" role="tabpanel" aria-labelledby="wfc-form-h-2" aria-hidden="true" style="display: none;">
		<div class="left_menu" style="width:100%;padding:2%;float:left;min-height: 525px;height: auto;">
			<table>
				<tr>
					<td>Enter one keyword/phrase per line.</td>
					<td>
						<textarea id="adnameimwb_covertcontext_ad_options_keywords" name="imwb_covertcontext_ad_options[keywords]" style="width:25em; height:200px;"><?php if($this->options['keywords'] != ''){echo htmlspecialchars(stripslashes($this->options['keywords']));}?>
						</textarea>
					</td>			
				</tr>
			</table>
		</div>
	</section>
	<section class="wfc_step body current wfc-4" id="wfc-form-p-3" role="tabpanel" aria-labelledby="wfc-form-h-3" aria-hidden="true" style="display: none;">
		<div class="left_menu" style="width:100%;padding:2%;float:left;min-height: 525px;height: auto;">
			<div style="display:none" class="social_ctype">
				<p>Enable/Disable Networks</p>
				<div>
					<?php $url = plugins_url().'/'.IMWB_CCX_FOLDER.'/images/social/';
					if($this->options['social_chk_fb'] == 'facebook'){
						$social_checked_chkbx_fb = 'checked';
						$social_checkbox_opacity_fb = '1';
					}
					if($this->options['social_chk_twit'] == 'twitter'){
						$social_checked_chkbx_twit = 'checked';
						$social_checkbox_opacity_twit = '1';
					}
					if($this->options['social_chk_link'] == 'linkedin'){
						$social_checked_chkbx_link = 'checked';
						$social_checkbox_opacity_link = '1';
					}
					if($this->options['social_chk_pin'] == 'pinterest'){
						$social_checked_chkbx_pin = 'checked';
						$social_checkbox_opacity_pin = '1';
					}
					?>
					<input type="checkbox" style="visibility:hidden" name="imwb_covertcontext_ad_options[social_chk_fb]" class="social_chk_facebook" value="facebook" <?php echo $social_checked_chkbx_fb != '' ? $social_checked_chkbx_fb : ''; ?>>
					<img height="50" style="opacity:<?php echo $social_checkbox_opacity_fb != '' ? $social_checkbox_opacity_fb : '0.5'; ?>;cursor:pointer" name="facebook" class="social_checkbox" src="<?php echo $url; ?>facebook.png" />
			
					<input type="checkbox" style="visibility:hidden" name="imwb_covertcontext_ad_options[social_chk_twit]" class="social_chk_twitter" value="twitter" <?php echo $social_checked_chkbx_twit != '' ? $social_checked_chkbx_twit : ''; ?>>
					<img height="50" style="opacity:<?php echo $social_checkbox_opacity_twit != '' ? $social_checkbox_opacity_twit : '0.5'; ?>;cursor:pointer" name="twitter" class="social_checkbox" src="<?php echo $url; ?>twitter.png" />
			
					<input type="checkbox" style="visibility:hidden" name="imwb_covertcontext_ad_options[social_chk_link]" class="social_chk_linkedin" value="linkedin" <?php echo $social_checked_chkbx_link != '' ? $social_checked_chkbx_link : ''; ?>>
					<img height="50" style="opacity:<?php echo $social_checkbox_opacity_link != '' ? $social_checkbox_opacity_link : '0.5'; ?>;cursor:pointer" name="linkedin" class="social_checkbox" src="<?php echo $url; ?>linkedin.png" />
			
					<input type="checkbox" style="visibility:hidden" name="imwb_covertcontext_ad_options[social_chk_pin]" class="social_chk_pinterest" value="pinterest" <?php echo $social_checked_chkbx_pin != '' ? $social_checked_chkbx_pin : ''; ?>>
					<img height="50" style="opacity:<?php echo $social_checkbox_opacity_pin != '' ? $social_checkbox_opacity_pin : '0.5'; ?>;cursor:pointer" name="pinterest" class="social_checkbox" src="<?php echo $url; ?>pinterest.png" />
				</div>
				<p>Follow Me Text : <input type="text" name="imwb_covertcontext_ad_options[follow_me_text]" value="<?php echo $this->options['follow_me_text']; ?>" /></p>
				<h3>Select Social Icon Set</h3><hr>
				<?php
					if($this->options['social_icon_set'] == 'square_icon'){
						$icon_set_checked_sqr = 'checked';
					}
					if($this->options['social_icon_set'] == 'round_icon'){
						$icon_set_checked_rnd = 'checked';
					}
				?>
				<input type="radio" value="square_icon" name="imwb_covertcontext_ad_options[social_icon_set]" <?php echo $icon_set_checked_sqr != '' ? $icon_set_checked_sqr : ''; ?> />Square
				<input type="radio" value="round_icon" name="imwb_covertcontext_ad_options[social_icon_set]" <?php echo $icon_set_checked_rnd != '' ? $icon_set_checked_rnd : ''; ?> />Round
			</div>
			<div style="display:none" class="amazon_ctype">
				<table>
					<tr valign="top">
						<td colspan="2" width="350px">Search From The Following Selected Categories</td>
					</tr>
					<tr>
						<td colspan="2">
							<select size="10" style="width:25em; height:  200px;" id="imwb_covertcontext_ad_options[searchindex]" name="imwb_covertcontext_ad_options[searchindex]">
								<?php 
								 foreach ($this->super->searchIndex_options[$this->super->options['amzregion']] as $key => $label) {
									$selected = ($this->options['searchindex'] == $key) ? " selected" : "";
									echo "<option value='{$key}'{$selected}>{$label}</option>";
								 }
								?>
							</select>
						</td>
					</tr>
					<tr valign="top">
						<td colspan='2' width="350px">Restrict search to products in the following price range<br><small>Leave blank for no price range search</small></td>
					</tr>
					<tr>
						<td colspan='2'>
							Minimum Price: <input id="adnameimwb_covertcontext_ad_options_minprice" type="text" name="imwb_covertcontext_ad_options[minprice]" value="<?php echo $this->options['minprice'] ?>" size="10"/>
							Maximum Price: <input id="adnameimwb_covertcontext_ad_options_maxprice"  type="text" name="imwb_covertcontext_ad_options[maxprice]" value="<?php echo $this->options['maxprice'] ?>" size="10"/>
							<label class="description" for="imwb_covertcontext_ad_options[minprice]"><br>Enter prices to 2 decimal places. I.e. 10.99, 10.00, 1000.00 etc</label>
						</td>
					</tr>
				</table>
			</div>
			<!---->
			<div style="display:none" class="optin_ctype">
				<table>
					<tr>
				<?php
					if($this->super->options['aweber_key']){
						try{
							$apikey = trim($this->super->options['aweber_key']);
							$apiSecret = trim($this->super->options['aweber_secret']);
							$aweber = new AWeberAPI($apikey, $apiSecret);
							$access_token = get_option('imwb_aweber_access_token',null);
							$access_token_secret = get_option('imwb_awaber_token_secret',null);
							if($access_token!= '' || $access_token_secret != ''){
								$account = $aweber->getAccount($access_token, $access_token_secret);
								$account_id = $account->id;
								if($account->lists){ ?>
									<div class="ar_row">
										<td><div class="name_ar">List ID:</div></td>
										<td><div class="name_ar_input">
											<select name="imwb_covertcontext_ad_options[listid]">
												<?php
												foreach ($account->lists as $list){
													if($this->options['listid'] == $list->id){
														$selected_autoresponder = 'selected';
													}else{
														$selected_autoresponder = '';
													}
													echo '<option value="'.$list->id.'" '.$selected_autoresponder.'>'.$list->name.'</option>';
												}
												?>
											</select>
										</div>
										</td>
									</div>
								<?php }
							}else{
								echo '<h2>Please Insert or Authorize your Aweber Application in commissionsumo settings.</h2>';
							}
						}catch(Exception $exptn){
								?><div class="aweber_notification"><p><?php print_r($exptn->message);?></p></div><?php
						}
					} ?>
					</tr>
					<?php /*<tr>
						<td>Upload Image:</td>
						<td>
							<input type="text" value="" name="mediaurl" id="v1msmediaurl">
							<input type="button" name="upload-btn" id="vlmsimageuploadbutton" class="button-secondary upload_image_button" value="Upload Image">
							<script>
							jQuery(document).ready(function(){
								jQuery('#vlmsimageuploadbutton').click(function(e) {
									//e.preventDefault();
									var image = wp.media({ title: 'Upload Image',multiple: true}).open().on('select', function(e){
										var uploaded_image = image.state().get('selection').first();
										//console.log(uploaded_image);
										var image_url = uploaded_image.toJSON().url;
										$('#v1msmediaurl').val(image_url);
									});
								});
								/*$('#vlmsaudioimagebutton').click(function(e) {
									//e.preventDefault();
									var image = wp.media({ 
										title: 'Upload Image',
										// mutiple: true if you want to upload multiple files at once
										multiple: false
									}).open()
									.on('select', function(e){
										// This will return the selected image from the Media Uploader, the result is an object
										var uploaded_image = image.state().get('selection').first();
										// We convert uploaded_image to a JSON object to make accessing it easier
										// Output to the console uploaded_image
									   // console.log(uploaded_image);
										var image_url = uploaded_image.toJSON().url;
										// Let's assign the url value to the input field
										$('#v1msaudioimageurl').val(image_url);
									});
								});
							});
							</script>
						</td>
					</tr>*/ ?>
					<tr>
						<td>Headline Text:</td>
						<td><input type="text" name="imwb_covertcontext_ad_options[headline_text]" value="<?php echo $this->options['headline_text']; ?>" /></td>
					</tr>
					<tr>
						<td>Subscribe Button Text:</td>
						<td><input type="text" name="imwb_covertcontext_ad_options[subscrb_btn_txt]" value="<?php echo $this->options['subscrb_btn_txt']; ?>" /></td>
					</tr>
					<tr>
						<td>Email Privacy Text:</td>
						<td><input type="text" name="imwb_covertcontext_ad_options[email_privacy_text]" value="<?php echo $this->options['email_privacy_text']; ?>" /></td>
					</tr>
				</table>
			</div>
			<!---->
			<div style="display:none" class="video_ctype">
				<?php
					$orderby_options = array(
						"date" => array("label" =>  "Date"),
						"rating" => array("label" => "Rating"),
						"relevance" => array("label" => "Relevance"),
						"title" => array("label" => "Title"),
						"videoCount" => array("label" => "Video Count"),
						"viewCount" => array("label" => "View Count")
					);
					$safesearch_options = array(
						"moderate" => array("label" => "Moderate"),
						"none" => array("label" => "None"),
						"strict" => array("label" => "Strict")
					);
					$country_options = array(
						"AU" => array("label" => "Australia"),
						"BR" => array("label" => "Brazil"),
						"CN" => array("label" => "China"),
						"FR" => array("label" => "France"),
						"DE" => array("label" => "Germany"),
						"IN" => array("label" => "India"),
						"NZ" => array("label" => "New Zealand"),
						"GB" => array("label" => "UK"),
						"US" => array("label" => "USA")
					);
				?>
				<table>
					<tr>
						<td>Order by:</td>
						<td>
							<select name="imwb_covertcontext_ad_options[orderBy]">
								<?php 
								foreach ($orderby_options as $key => $value) {
									$selected = ($this->options['orderBy'] == $key) ? " selected" : "";
									echo "<option value='{$key}'{$selected}>{$value['label']}</option>";
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td>Safe Search:</td>
						<td>
							<select name="imwb_covertcontext_ad_options[safeSearch]">
								<?php
								foreach($safesearch_options as $key_s => $value_s){
									$selected_safesearch = ($this->options['safeSearch'] == $key_s) ? "selected" : "";
									echo "<option value='{$key_s}'{$selected_safesearch}>{$value_s['label']}</option>";
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td>Channel Id:</td>
						<td>
							<input type="text" name="imwb_covertcontext_ad_options[channelId]" value="<?php echo $this->options['channelId']; ?>" />
						</td>
					</tr>
					<tr>
						<td>Country/Region:</td>
						<td>
							<select name="imwb_covertcontext_ad_options[country_region]">
								<?php
								foreach($country_options as $key_country => $value_country){
									$selected_country = ($this->options['country_region'] == $key_country) ? "selected" : "";
									echo "<option value='{$key_country}'{$selected_country}>{$value_country['label']}</option>";
								}
								?>
							</select>
						</td>
					</tr>
					<tr>
						<td>Advertising Code:</td>
						<td><textarea name="imwb_covertcontext_ad_options[adv_code_video]"><?php echo $this->options['adv_code_video']; ?></textarea></td>
					</tr>
					<tr>
						<td>
							<?php if($this->options['ad_abv_video'] == 'on'){
								$ad_abv_video = 'checked';
							}if($this->options['ad_blw_video'] == 'on'){
								$ad_blw_video = 'checked';
							} 
							?>
							<input type="checkbox" name="imwb_covertcontext_ad_options[ad_abv_video]" <?php echo $ad_abv_video != '' ? $ad_abv_video : ''; ?>/>Display Above Video
						</td>
						<td>
							<input type="checkbox" name="imwb_covertcontext_ad_options[ad_blw_video]" <?php echo $ad_blw_video != '' ? $ad_blw_video : ''; ?> />Display Below Video
						</td>
					</tr>
				</table>
			</div>
			<div style="display:none" class="action_ctype">
				<table>
					<tr>
						<td>Above Button Headline Text:</td>
						<td><input type="text" class="regular-text" value="<?php echo $this->options['abv_hdln_txt']; ?>" name="imwb_covertcontext_ad_options[abv_hdln_txt]"></td>
					</tr>
					<tr>
						<td>Button Text:</td>
						<td><input type="text" class="regular-text" value="<?php echo stripslashes($this->options['btn_txt']); ?>" name="imwb_covertcontext_ad_options[btn_txt]"></td>
					</tr>
					<tr>
						<td>Below Button Headline Text:</td>
						<td><input type="text" class="regular-text" value="<?php echo $this->options['blw_hdln_txt'] ?>" name="imwb_covertcontext_ad_options[blw_hdln_txt]"></td>
					</tr>
					<tr>
						<td>Button Style:</td>
						<td>
							<?php $btn_style = $this->options['btn_style']; 
								$black_s = '';
								$white_s = '';
								$blue_s = '';
								$red_s = '';
								$yellow_s = '';
								$green_s = '';
								if($btn_style == 'black'){
									$black_s = 'checked';
								}else if($btn_style == 'white'){
									$white_s ='checked';
								}else if($btn_style == 'blue'){
									$blue_s = 'checked';
								}else if($btn_style == 'red'){
									$red_s = 'checked';
								}else if($btn_style == 'yellow'){
									$yellow_s = 'checked';
								}else if($btn_style == 'green'){
									$green_s = 'checked';
								}
							?>
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="black" <?php echo $black_s; ?>> Black
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="white" <?php echo $white_s; ?>> White
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="blue" <?php echo $blue_s; ?>> Blue
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="red" <?php echo $red_s; ?>> Red
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="yellow" <?php echo $yellow_s; ?>> Yellow
							<input type="radio" name="imwb_covertcontext_ad_options[btn_style]" value="green" <?php echo $green_s; ?>> Green
						</td>
					</tr>
					<tr>
						<td>Button Size</td>
						<td>
							<?php 
							$size_small='';
							$size_medium='';
							$size_large='';
							if($this->options['btn_size'] == 'small'){
								$size_small = 'checked';
							}else if($this->option['btn_size'] == 'medium'){
								$size_medium = 'checked';
							}else if($this->option['btn_size'] == 'large'){
								$size_large = 'checked';
							} ?>
							<input type="radio" name="imwb_covertcontext_ad_options[btn_size]" value="small" <?php echo $size_small; ?>> Small
							<input type="radio" name="imwb_covertcontext_ad_options[btn_size]" value="medium" <?php echo $size_medium; ?>> Medium
							<input type="radio" name="imwb_covertcontext_ad_options[btn_size]" value="large" <?php echo $size_large; ?>> Large
						</td>
					</tr>
					<tr>
						<td>Link When Clicked:</td>
						<td><input type="text" class="regular-text" value="<?php echo $this->options['link_clicked']; ?>" name="imwb_covertcontext_ad_options[link_clicked]"></td>
					</tr>
					<tr>
						<?php if($this->options['link_new_window'] == 'on'){
							$selected = 'checked';
						}else{
							$selected ='';
						} ?>
						<td colspan="2"><input type="checkbox" name="imwb_covertcontext_ad_options[link_new_window]" <?php echo $selected; ?> />Open in New Window</td>
					</tr>
				</table>
			</div>
			<div style="display:none" class="html_ctype">
				<p>HTML Code:</p>
				<textarea rows="15" cols="50" name="imwb_covertcontext_ad_options[amazon_ctype]"><?php echo stripslashes($this->options['amazon_ctype']); ?></textarea>
			</div>
			<div style="display:none" class="jvzoo_ctype">
				<p>“No Content Required, JVZoo Plugin Is Automated”</p>
			</div>
			<div style="display:none" class="clickbank_ctype">
				<table>
					<tr>
						<td>Select ClickBank Category:</td>
						<td>
							<?php
							$cb_cat = get_option('clickbank_categories');
							$selected_cb='';
							echo $this->options['cb_category'];
							echo '<select name="imwb_covertcontext_ad_options[cb_category]">';
							foreach($cb_cat as $cb_key => $cb_value){
								if($cb_value == $this->options['cb_category']){
									$selected_cb='selected';
								}
								if($cb_key != 0){
									echo '<option '.$selected_cb.'>'.$cb_value.'</option>';
								}
							}
							echo '</select>';
							?>
						</td>
					</tr>
				</table>
			</div>
			<div style="display:block" class="blank_ctype">
				<h2>Please Select Campaign Type First...</h2>
			</div>
		</div>
	</section>
	<section class="wfc_step body current wfc-5" id="wfc-form-p-4" role="tabpanel" aria-labelledby="wfc-form-h-4" aria-hidden="true" style="display: none;">
		<div class="left_menu" style="width:100%;padding:2%;float:left;min-height: 525px;height: auto;">
			<table>
				<tr><td colspan="2"><strong>When to show</strong></td></tr>
				<tr valign="top">
					<td width="350px">Apply to all posts</td>
					<td><input id="imwb_covertcontext_ad_options[allposts]" type="checkbox" name="imwb_covertcontext_ad_options[allposts]" value="Y" <?php echo $this->options['allposts'] == "Y" ? "checked='Yes'" : "" ?> /></td>
				</tr>
				<tr valign="top">
					<td width="350px">Restrict to posts in the following categories</td>
					<td>
						<select size="10"  multiple="multiple"  style="width:340px; height:auto;" name="imwb_covertcontext_ad_options[postcats][]" id="imwb_covertcontext_ad_options[postcats]" >
							<?php
							$currentcats = explode(",", htmlspecialchars($this->options['postcats']) );
							echo $this->get_blog_categories(0, $currentcats);
							?>
						</select>
					</td>
				</tr>
				<tr valign="top">
					<td width="350px">Apply to all pages</td>
					<td>
						<input id="imwb_covertcontext_ad_options[allpages]" type="checkbox" name="imwb_covertcontext_ad_options[allpages]" value="Y" <?php echo $this->options['allpages'] == "Y" ? "checked='Yes'" : "" ?> />
					</td>
				</tr>
				<tr valign="top">
					<td width="350px">Apply to posts on home page</td>
					<td>
						<input id="imwb_covertcontext_ad_options[homeposts]" type="checkbox" name="imwb_covertcontext_ad_options[homeposts]" value="Y" <?php echo $this->options['homeposts'] == "Y" ? "checked='Yes'" : "" ?> />
					</td>
				</tr>
			</table>
			<div class="actions clearfix" align="center" style="margin-top:4%;padding:2% 5%;">
				<input class="button-primary" type="submit" name="update_imwb_covertcontextAdSettings" value="<?php echo $feedAction == 'add' ? 'Create Contextual Ad' : 'Update Contextual Ad';?>" />
			</div>
		</div>
	</section>
</div>
<?php   
	$output = ob_get_contents();
    ob_end_clean();
    echo $output;
   	die(); // this is required to return a proper result
}   
}
?>
<script>
jQuery(document).ready(function($) {
	$('.steps_tab1').on('click',function(){
		var li_id = $(this).attr('id');
		$('ul li.current').removeClass('current');
		$(this).closest('li').addClass('current');
		$( ".wfc_step").slideUp('fast');
		$('.wfc_step.'+li_id).slideDown('slow');
	});
	$('')
	//var img_radio_cmpn = 
	var checked_ctype = $(".ctype_radio:checked").val();
	if(checked_ctype != null){
		$('.'+checked_ctype+'_ctype').css('display','block');
		$('.blank_ctype').css('display','none');
	}
	/*$(".ctype_img").on('click',function(){
		var radio_val = $(this).attr('data');
		alert(radio_val);
	});*/
	$(".ctype_img").on('click',function(){
		var radio_val = $(this).attr('data');
		//alert(radio_val);
		var ctypes = new Array("social","amazon","optin","video","action","html");
		for(var i=0;i<ctypes.length;i++){
			if(ctypes[i] != radio_val){
				$('.'+ctypes[i]+'_ctype').css('display','none');
			}

		}
		$('.blank_ctype').css('display','none');
		$('.'+radio_val+'_ctype').css('display','block');
		
	});
	$('.social_checkbox').on('click',function(){
		var clicked_social = $(this).attr('name');
		if($('.social_chk_'+clicked_social).is(':checked')){
			$('.social_chk_'+clicked_social).prop('checked', false);
			$(this).css("opacity","0.5");
		}else{
			$('.social_chk_'+clicked_social).prop('checked', true);
			$(this).css("opacity","1");
		}
	});
});
</script>